package cl.json.social;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.net.Uri;
import cl.json.RNShareModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReadableMap;
import com.google.android.gms.common.internal.ImagesContract;

public abstract class SingleShareIntent extends ShareIntent {
    protected String appStoreURL = null;
    protected String playStoreURL = null;

    public SingleShareIntent(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
    }

    @Override // cl.json.social.ShareIntent
    public void open(ReadableMap readableMap) throws ActivityNotFoundException {
        String str;
        System.out.println(getPackage());
        if (!(getPackage() == null && getDefaultWebLink() == null && getPlayStoreLink() == null)) {
            if (isPackageInstalled(getPackage(), this.reactContext)) {
                System.out.println("INSTALLED");
                getIntent().setPackage(getPackage());
                super.open(readableMap);
            } else {
                System.out.println("NOT INSTALLED");
                if (getDefaultWebLink() != null) {
                    str = getDefaultWebLink().replace("{url}", urlEncode(readableMap.getString(ImagesContract.URL))).replace("{message}", urlEncode(readableMap.getString("message")));
                } else {
                    str = getPlayStoreLink() != null ? getPlayStoreLink() : "";
                }
                setIntent(new Intent(new Intent("android.intent.action.VIEW", Uri.parse(str))));
            }
        }
        super.open(readableMap);
    }

    /* access modifiers changed from: protected */
    @Override // cl.json.social.ShareIntent
    public void openIntentChooser() throws ActivityNotFoundException {
        if (!this.options.hasKey("forceDialog") || !this.options.getBoolean("forceDialog")) {
            getIntent().setFlags(268435456);
            this.reactContext.startActivity(getIntent());
            TargetChosenReceiver.sendCallback(true, true, getIntent().getPackage());
            return;
        }
        Activity currentActivity = this.reactContext.getCurrentActivity();
        if (currentActivity == null) {
            TargetChosenReceiver.sendCallback(false, "Something went wrong");
        } else if (TargetChosenReceiver.isSupported()) {
            Intent createChooser = Intent.createChooser(getIntent(), this.chooserTitle, TargetChosenReceiver.getSharingSenderIntent(this.reactContext));
            createChooser.setFlags(1073741824);
            currentActivity.startActivityForResult(createChooser, RNShareModule.SHARE_REQUEST_CODE);
        } else {
            Intent createChooser2 = Intent.createChooser(getIntent(), this.chooserTitle);
            createChooser2.setFlags(1073741824);
            currentActivity.startActivityForResult(createChooser2, RNShareModule.SHARE_REQUEST_CODE);
            TargetChosenReceiver.sendCallback(true, true, "OK");
        }
    }
}
