package com.flurry.android;

import com.flurry.sdk.ce;
import com.flurry.sdk.cf;
import com.flurry.sdk.cx;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

public final class FlurryPublisherSegmentation {
    private static final Set<FetchListener> a = Collections.newSetFromMap(new ConcurrentHashMap());
    private static boolean b = false;
    private static Map<String, String> c = null;
    private static cf d = null;
    private static ce e = null;

    public interface FetchListener {
        void onFetched(Map<String, String> map);
    }

    public static void registerFetchListener(FetchListener fetchListener) {
        if (fetchListener != null) {
            Set<FetchListener> set = a;
            synchronized (set) {
                if (set.contains(fetchListener)) {
                    cx.a("FlurryPublisherSegmentation", "The listener is already registered");
                    return;
                }
                set.add(fetchListener);
                if (b) {
                    fetchListener.onFetched(c);
                }
            }
        }
    }

    public static void unregisterFetchListener(FetchListener fetchListener) {
        if (fetchListener != null) {
            Set<FetchListener> set = a;
            synchronized (set) {
                set.remove(fetchListener);
            }
        }
    }

    public static boolean isFetchFinished() {
        return b;
    }

    public static Map<String, String> getPublisherData() {
        if (c == null) {
            c = f().b(d);
        }
        return c;
    }

    public static void fetch() {
        f().a.d();
    }

    private static ce f() {
        if (e == null) {
            e = ce.a();
            d = cf.a("PUBLISHER");
            e.a(new FlurryConfigListener() {
                /* class com.flurry.android.FlurryPublisherSegmentation.AnonymousClass1 */

                @Override // com.flurry.android.FlurryConfigListener
                public final void onFetchSuccess() {
                    FlurryPublisherSegmentation.e.a(FlurryPublisherSegmentation.d);
                }

                @Override // com.flurry.android.FlurryConfigListener
                public final void onFetchNoChange() {
                    cx.a("FlurryPublisherSegmentation", "Fetch Completed with state: No Change");
                    a();
                }

                @Override // com.flurry.android.FlurryConfigListener
                public final void onFetchError(boolean z) {
                    StringBuilder sb = new StringBuilder("Fetch Completed with state: Fail - ");
                    sb.append(z ? "Retrying" : "End");
                    cx.a("FlurryPublisherSegmentation", sb.toString());
                    if (!z) {
                        a();
                    }
                }

                @Override // com.flurry.android.FlurryConfigListener
                public final void onActivateComplete(boolean z) {
                    StringBuilder sb = new StringBuilder("Fetch Completed with state: Activate Completed - ");
                    sb.append(z ? "Cached" : "New");
                    cx.a("FlurryPublisherSegmentation", sb.toString());
                    if (!z) {
                        a();
                    }
                }

                private static void a() {
                    boolean unused = FlurryPublisherSegmentation.b = true;
                    Map unused2 = FlurryPublisherSegmentation.c = FlurryPublisherSegmentation.e.b(FlurryPublisherSegmentation.d);
                    synchronized (FlurryPublisherSegmentation.a) {
                        for (FetchListener fetchListener : FlurryPublisherSegmentation.a) {
                            fetchListener.onFetched(FlurryPublisherSegmentation.c);
                        }
                    }
                }
            }, d);
        }
        return e;
    }
}
