package com.flurry.android.marketing;

import android.os.Handler;
import com.flurry.android.marketing.messaging.FlurryMessagingListener;

public final class FlurryMarketingOptions {
    private int defaultNotificationIconAccentColor;
    private int defaultNotificationIconResourceId;
    Handler flurryMessagingHandler;
    FlurryMessagingListener flurryMessagingListener;
    boolean isAutoIntegration;
    private String notificationChannelId;
    String token;

    private FlurryMarketingOptions(Builder builder) {
        this.defaultNotificationIconResourceId = -1;
        this.defaultNotificationIconAccentColor = -1;
        this.isAutoIntegration = builder.isAutoIntegration;
        this.token = builder.token;
        this.flurryMessagingListener = builder.flurryMessagingListener;
        this.flurryMessagingHandler = builder.flurryMessagingHandler;
        this.notificationChannelId = builder.notificationChannelId;
        this.defaultNotificationIconResourceId = builder.defaultNotificationIconResourceId;
        this.defaultNotificationIconAccentColor = builder.defaultNotificationIconAccentColor;
    }

    public final boolean isAutoIntegration() {
        return this.isAutoIntegration;
    }

    public final String getToken() {
        return this.token;
    }

    public final FlurryMessagingListener getFlurryMessagingListener() {
        return this.flurryMessagingListener;
    }

    public final Handler getFlurryMessagingHandler() {
        return this.flurryMessagingHandler;
    }

    public final String getNotificationChannelId() {
        return this.notificationChannelId;
    }

    public final int getDefaultNotificationIconResourceId() {
        return this.defaultNotificationIconResourceId;
    }

    public final int getDefaultNotificationIconAccentColor() {
        return this.defaultNotificationIconAccentColor;
    }

    public static final class Builder {
        private int defaultNotificationIconAccentColor = -1;
        private int defaultNotificationIconResourceId = -1;
        private Handler flurryMessagingHandler;
        private FlurryMessagingListener flurryMessagingListener;
        private boolean isAutoIntegration;
        private String notificationChannelId;
        private String token;

        public final Builder setupMessagingWithAutoIntegration() {
            this.isAutoIntegration = true;
            return this;
        }

        public final Builder withFlurryMessagingListener(FlurryMessagingListener flurryMessagingListener2) {
            this.flurryMessagingListener = flurryMessagingListener2;
            return this;
        }

        public final Builder withFlurryMessagingListener(FlurryMessagingListener flurryMessagingListener2, Handler handler) {
            this.flurryMessagingListener = flurryMessagingListener2;
            this.flurryMessagingHandler = handler;
            return this;
        }

        public final Builder setupMessagingWithManualIntegration(String str) {
            this.isAutoIntegration = false;
            this.token = str;
            return this;
        }

        public final Builder withDefaultNotificationChannelId(String str) {
            this.notificationChannelId = str;
            return this;
        }

        public final Builder withDefaultNotificationIconResourceId(int i) {
            this.defaultNotificationIconResourceId = i;
            return this;
        }

        public final Builder withDefaultNotificationIconAccentColor(int i) {
            this.defaultNotificationIconAccentColor = i;
            return this;
        }

        public final FlurryMarketingOptions build() {
            return new FlurryMarketingOptions(this);
        }
    }
}
