package com.flurry.android.marketing.messaging;

import android.content.Context;
import android.content.Intent;
import com.flurry.android.marketing.messaging.notification.FlurryMessage;
import com.flurry.sdk.marketing.q;
import com.google.firebase.messaging.RemoteMessage;

public final class FlurryMessaging {
    private FlurryMessaging() {
    }

    public static void showNotification(Context context, FlurryMessage flurryMessage) {
        q.a(context, flurryMessage);
    }

    public static void logNotificationReceived(FlurryMessage flurryMessage) {
        q.a(flurryMessage);
    }

    public static void logNotificationClicked(FlurryMessage flurryMessage) {
        q.b(flurryMessage);
    }

    public static void logNotificationCancelled(FlurryMessage flurryMessage) {
        q.c(flurryMessage);
    }

    public static void setToken(String str) {
        q.a(str);
    }

    public static boolean isFlurryMessage(RemoteMessage remoteMessage) {
        return q.a(remoteMessage);
    }

    public static FlurryMessage convertFcmMessageToFlurryMessage(RemoteMessage remoteMessage) {
        return q.b(remoteMessage);
    }

    public static void addFlurryMessageToIntentExtras(Intent intent, FlurryMessage flurryMessage) {
        q.a(intent, flurryMessage);
    }

    public static FlurryMessage getFlurryMessageFromIntent(Intent intent) {
        return q.a(intent);
    }

    public static boolean isAppInForeground() {
        return StreamingSupportWrapper.isAppInForeground();
    }
}
