package com.flurry.android.marketing.messaging.notification;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.text.TextUtils;
import com.flurry.android.marketing.messaging.FlurryMessagingListener;
import com.flurry.sdk.cx;
import com.flurry.sdk.ea;
import com.flurry.sdk.marketing.m;
import com.flurry.sdk.marketing.q;
import com.flurry.sdk.marketing.r;
import java.util.Locale;

public final class NotificationClickedReceiver extends BroadcastReceiver {
    public static final String NOTIFICATION_CLICKED_ACTION = "com.flurry.android.marketing.NOTIFICATION_CLICKED";
    public static final String kLogTag = "NotificationClickedReceiver";

    public final void onReceive(final Context context, Intent intent) {
        final FlurryMessage a = r.a(intent);
        if (a == null) {
            cx.a(kLogTag, "No flurry message receive in clicked receiver.");
            return;
        }
        m.a(new ea() {
            /* class com.flurry.android.marketing.messaging.notification.NotificationClickedReceiver.AnonymousClass1 */

            @Override // com.flurry.sdk.ea
            public final void a() {
                FlurryMessagingListener a2 = q.a();
                if (!(a2 != null ? a2.onNotificationClicked(a) : false)) {
                    NotificationClickedReceiver.a(context, a);
                }
            }
        });
        q.b(a);
    }

    static /* synthetic */ boolean a(Context context, FlurryMessage flurryMessage) {
        PackageManager packageManager = context.getPackageManager();
        Intent launchIntentForPackage = packageManager.getLaunchIntentForPackage(context.getPackageName());
        String clickAction = flurryMessage.getClickAction();
        Intent intent = null;
        if (TextUtils.isEmpty(clickAction)) {
            cx.a("ParsingUtil", "No click action specified, opening default launcher intent.");
        } else {
            Intent intent2 = new Intent(clickAction);
            if (!(intent2.resolveActivity(packageManager) != null)) {
                cx.b("ParsingUtil", String.format(Locale.getDefault(), "The specified 'click_action',%s, does resolve to an intent'", clickAction));
            } else {
                cx.a(3, "ParsingUtil", "Valid click action!");
                intent = intent2;
            }
        }
        if (intent != null) {
            launchIntentForPackage = intent;
        }
        launchIntentForPackage.putExtra("flurryMessage", flurryMessage);
        launchIntentForPackage.setFlags(268435456);
        context.startActivity(launchIntentForPackage);
        return true;
    }
}
