package com.horcrux.svg;

/* access modifiers changed from: package-private */
public class SVGLength {
    final SVGLengthUnitType unit;
    final double value;

    SVGLength() {
        this.value = 0.0d;
        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_UNKNOWN;
    }

    SVGLength(double d) {
        this.value = d;
        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_NUMBER;
    }

    SVGLength(String str) {
        String trim = str.trim();
        int length = trim.length();
        int i = length - 1;
        if (length == 0 || trim.equals("normal")) {
            this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_UNKNOWN;
            this.value = 0.0d;
        } else if (trim.codePointAt(i) == 37) {
            this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_PERCENTAGE;
            this.value = Double.valueOf(trim.substring(0, i)).doubleValue();
        } else {
            int i2 = length - 2;
            if (i2 > 0) {
                String substring = trim.substring(i2);
                substring.hashCode();
                char c = 65535;
                switch (substring.hashCode()) {
                    case 3178:
                        if (substring.equals("cm")) {
                            c = 0;
                            break;
                        }
                        break;
                    case 3240:
                        if (substring.equals("em")) {
                            c = 1;
                            break;
                        }
                        break;
                    case 3251:
                        if (substring.equals("ex")) {
                            c = 2;
                            break;
                        }
                        break;
                    case 3365:
                        if (substring.equals("in")) {
                            c = 3;
                            break;
                        }
                        break;
                    case 3488:
                        if (substring.equals("mm")) {
                            c = 4;
                            break;
                        }
                        break;
                    case 3571:
                        if (substring.equals("pc")) {
                            c = 5;
                            break;
                        }
                        break;
                    case 3588:
                        if (substring.equals("pt")) {
                            c = 6;
                            break;
                        }
                        break;
                    case 3592:
                        if (substring.equals("px")) {
                            c = 7;
                            break;
                        }
                        break;
                }
                switch (c) {
                    case 0:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_CM;
                        length = i2;
                        break;
                    case 1:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_EMS;
                        length = i2;
                        break;
                    case 2:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_EXS;
                        length = i2;
                        break;
                    case 3:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_IN;
                        length = i2;
                        break;
                    case 4:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_MM;
                        length = i2;
                        break;
                    case 5:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_PC;
                        length = i2;
                        break;
                    case 6:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_PT;
                        length = i2;
                        break;
                    case 7:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_NUMBER;
                        length = i2;
                        break;
                    default:
                        this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_NUMBER;
                        break;
                }
                this.value = Double.valueOf(trim.substring(0, length)).doubleValue();
                return;
            }
            this.unit = SVGLengthUnitType.SVG_LENGTHTYPE_NUMBER;
            this.value = Double.valueOf(trim).doubleValue();
        }
    }
}
