package com.squirrelvpn.newarchitecture;

import android.app.Application;
import com.facebook.react.PackageList;
import com.facebook.react.ReactNativeHost;
import com.facebook.react.ReactPackage;
import com.facebook.react.ReactPackageTurboModuleManagerDelegate;
import com.facebook.react.bridge.JSIModulePackage;
import com.facebook.react.bridge.JSIModuleProvider;
import com.facebook.react.bridge.JSIModuleSpec;
import com.facebook.react.bridge.JSIModuleType;
import com.facebook.react.bridge.JavaScriptContextHolder;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.UIManager;
import com.facebook.react.fabric.ComponentFactory;
import com.facebook.react.fabric.CoreComponentsRegistry;
import com.facebook.react.fabric.EmptyReactNativeConfig;
import com.facebook.react.fabric.FabricJSIModuleProvider;
import com.facebook.react.uimanager.ViewManagerRegistry;
import com.squirrelvpn.newarchitecture.components.MainComponentsRegistry;
import com.squirrelvpn.newarchitecture.modules.MainApplicationTurboModuleManagerDelegate;
import java.util.ArrayList;
import java.util.List;

public class MainApplicationReactNativeHost extends ReactNativeHost {
    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public String getJSMainModuleName() {
        return "index";
    }

    @Override // com.facebook.react.ReactNativeHost
    public boolean getUseDeveloperSupport() {
        return false;
    }

    public MainApplicationReactNativeHost(Application application) {
        super(application);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public List<ReactPackage> getPackages() {
        return new PackageList(this).getPackages();
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public ReactPackageTurboModuleManagerDelegate.Builder getReactPackageTurboModuleManagerDelegateBuilder() {
        return new MainApplicationTurboModuleManagerDelegate.Builder();
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public JSIModulePackage getJSIModulePackage() {
        return new JSIModulePackage() {
            /* class com.squirrelvpn.newarchitecture.MainApplicationReactNativeHost.AnonymousClass1 */

            @Override // com.facebook.react.bridge.JSIModulePackage
            public List<JSIModuleSpec> getJSIModules(final ReactApplicationContext reactApplicationContext, JavaScriptContextHolder javaScriptContextHolder) {
                ArrayList arrayList = new ArrayList();
                arrayList.add(new JSIModuleSpec() {
                    /* class com.squirrelvpn.newarchitecture.MainApplicationReactNativeHost.AnonymousClass1.AnonymousClass1 */

                    @Override // com.facebook.react.bridge.JSIModuleSpec
                    public JSIModuleType getJSIModuleType() {
                        return JSIModuleType.UIManager;
                    }

                    @Override // com.facebook.react.bridge.JSIModuleSpec
                    public JSIModuleProvider<UIManager> getJSIModuleProvider() {
                        ComponentFactory componentFactory = new ComponentFactory();
                        CoreComponentsRegistry.register(componentFactory);
                        MainComponentsRegistry.register(componentFactory);
                        return new FabricJSIModuleProvider(reactApplicationContext, componentFactory, new EmptyReactNativeConfig(), new ViewManagerRegistry(MainApplicationReactNativeHost.this.getReactInstanceManager().getOrCreateViewManagers(reactApplicationContext)));
                    }
                });
                return arrayList;
            }
        };
    }
}
