package expo.modules.kotlin.callbacks;

import android.view.View;
import java.lang.ref.WeakReference;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlin.reflect.KType;

@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\u0018\u0000*\u0004\b\u0000\u0010\u00012\u00020\u0002B\u0015\u0012\u0006\u0010\u0003\u001a\u00020\u0004\u0012\u0006\u0010\u0005\u001a\u00020\u0006¢\u0006\u0002\u0010\u0007J#\u0010\u0011\u001a\b\u0012\u0004\u0012\u00028\u00000\u00122\u0006\u0010\u0013\u001a\u00020\u00062\n\u0010\u0014\u001a\u0006\u0012\u0002\b\u00030\u0015H\u0002R\u001a\u0010\b\u001a\u00020\tX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u000b\"\u0004\b\f\u0010\rR\u000e\u0010\u0003\u001a\u00020\u0004X\u0004¢\u0006\u0002\n\u0000R\u001c\u0010\u000e\u001a\u0010\u0012\f\u0012\n \u0010*\u0004\u0018\u00010\u00060\u00060\u000fX\u0004¢\u0006\u0002\n\u0000¨\u0006\u0016"}, d2 = {"Lexpo/modules/kotlin/callbacks/ViewCallbackDelegate;", "T", "", "type", "Lkotlin/reflect/KType;", "view", "Landroid/view/View;", "(Lkotlin/reflect/KType;Landroid/view/View;)V", "isValidated", "", "isValidated$expo_modules_core_release", "()Z", "setValidated$expo_modules_core_release", "(Z)V", "viewHolder", "Ljava/lang/ref/WeakReference;", "kotlin.jvm.PlatformType", "getValue", "Lexpo/modules/kotlin/callbacks/Callback;", "thisRef", "property", "Lkotlin/reflect/KProperty;", "expo-modules-core_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ViewCallbackDelegate.kt */
public final class ViewCallbackDelegate<T> {
    private boolean isValidated;
    private final KType type;
    private final WeakReference<View> viewHolder;

    public ViewCallbackDelegate(KType kType, View view) {
        Intrinsics.checkNotNullParameter(kType, "type");
        Intrinsics.checkNotNullParameter(view, "view");
        this.type = kType;
        this.viewHolder = new WeakReference<>(view);
    }

    public final boolean isValidated$expo_modules_core_release() {
        return this.isValidated;
    }

    public final void setValidated$expo_modules_core_release(boolean z) {
        this.isValidated = z;
    }

    public final Callback<T> getValue(View view, KProperty<?> kProperty) {
        Intrinsics.checkNotNullParameter(view, "thisRef");
        Intrinsics.checkNotNullParameter(kProperty, "property");
        if (this.isValidated) {
            View view2 = this.viewHolder.get();
            if (view2 != null) {
                return new ViewCallback(kProperty.getName(), this.type, view2);
            }
            throw new IllegalStateException("Can't send an event from the view that is deallocated.");
        }
        throw new IllegalStateException("You have to export this property as a callback in the `ViewManager`.");
    }
}
