package org.matrix.olm;

import android.content.Context;
import android.util.Log;

public class OlmManager {
    private static final String LOG_TAG = "OlmManager";

    public native String getOlmLibVersionJni();

    public String getVersion() {
        return "3.2.6";
    }

    static {
        try {
            System.loadLibrary("olm");
        } catch (UnsatisfiedLinkError e) {
            Log.e(LOG_TAG, "Exception loadLibrary() - Msg=" + e.getMessage());
        }
    }

    public String getDetailedVersion(Context context) {
        String string = context.getResources().getString(R.string.git_olm_revision);
        String string2 = context.getResources().getString(R.string.git_olm_revision_date);
        return getVersion() + " - olm version (" + getOlmLibVersion() + ") - " + string + "-" + string2;
    }

    public String getOlmLibVersion() {
        return getOlmLibVersionJni();
    }
}
