package cl.json;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.net.Uri;
import androidx.core.app.NotificationCompat;
import cl.json.social.EmailShare;
import cl.json.social.FacebookPagesManagerShare;
import cl.json.social.FacebookShare;
import cl.json.social.GenericShare;
import cl.json.social.GooglePlusShare;
import cl.json.social.InstagramShare;
import cl.json.social.LinkedinShare;
import cl.json.social.MessengerShare;
import cl.json.social.PinterestShare;
import cl.json.social.SMSShare;
import cl.json.social.ShareIntent;
import cl.json.social.SnapChatShare;
import cl.json.social.TargetChosenReceiver;
import cl.json.social.TwitterShare;
import cl.json.social.WhatsAppShare;
import com.facebook.common.util.UriUtil;
import com.facebook.react.bridge.ActivityEventListener;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableMap;
import java.io.PrintStream;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Nullable;

public class RNShareModule extends ReactContextBaseJavaModule implements ActivityEventListener {
    public static final int SHARE_REQUEST_CODE = 16845;
    private final ReactApplicationContext reactContext;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "RNShare";
    }

    @Override // com.facebook.react.bridge.ActivityEventListener
    public void onNewIntent(Intent intent) {
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        if (i == 16845 && i2 == 0) {
            TargetChosenReceiver.sendCallback(true, false, "CANCELED");
        }
    }

    @Override // com.facebook.react.bridge.ActivityEventListener
    public void onActivityResult(Activity activity, int i, int i2, Intent intent) {
        onActivityResult(i, i2, intent);
    }

    private enum SHARES {
        facebook,
        generic,
        pagesmanager,
        twitter,
        whatsapp,
        instagram,
        googleplus,
        email,
        pinterest,
        messenger,
        snapchat,
        sms,
        linkedin;

        public static ShareIntent getShareClass(String str, ReactApplicationContext reactApplicationContext) {
            switch (AnonymousClass1.$SwitchMap$cl$json$RNShareModule$SHARES[valueOf(str).ordinal()]) {
                case 1:
                    return new GenericShare(reactApplicationContext);
                case 2:
                    return new FacebookShare(reactApplicationContext);
                case 3:
                    return new FacebookPagesManagerShare(reactApplicationContext);
                case 4:
                    return new TwitterShare(reactApplicationContext);
                case 5:
                    return new WhatsAppShare(reactApplicationContext);
                case 6:
                    return new InstagramShare(reactApplicationContext);
                case 7:
                    return new GooglePlusShare(reactApplicationContext);
                case 8:
                    return new EmailShare(reactApplicationContext);
                case 9:
                    return new PinterestShare(reactApplicationContext);
                case 10:
                    return new SMSShare(reactApplicationContext);
                case 11:
                    return new SnapChatShare(reactApplicationContext);
                case 12:
                    return new MessengerShare(reactApplicationContext);
                case 13:
                    return new LinkedinShare(reactApplicationContext);
                default:
                    return null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: cl.json.RNShareModule$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$cl$json$RNShareModule$SHARES;

        /* JADX WARNING: Can't wrap try/catch for region: R(26:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|(3:25|26|28)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0078 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0084 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x0090 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[SHARES.values().length];
            $SwitchMap$cl$json$RNShareModule$SHARES = iArr;
            iArr[SHARES.generic.ordinal()] = 1;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.facebook.ordinal()] = 2;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.pagesmanager.ordinal()] = 3;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.twitter.ordinal()] = 4;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.whatsapp.ordinal()] = 5;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.instagram.ordinal()] = 6;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.googleplus.ordinal()] = 7;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.email.ordinal()] = 8;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.pinterest.ordinal()] = 9;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.sms.ordinal()] = 10;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.snapchat.ordinal()] = 11;
            $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.messenger.ordinal()] = 12;
            try {
                $SwitchMap$cl$json$RNShareModule$SHARES[SHARES.linkedin.ordinal()] = 13;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public RNShareModule(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
        reactApplicationContext.addActivityEventListener(this);
        this.reactContext = reactApplicationContext;
    }

    @Override // com.facebook.react.bridge.BaseJavaModule
    @Nullable
    public Map<String, Object> getConstants() {
        HashMap hashMap = new HashMap();
        SHARES[] values = SHARES.values();
        for (SHARES shares : values) {
            hashMap.put(shares.toString().toUpperCase(), shares.toString());
        }
        return hashMap;
    }

    @ReactMethod
    public void open(ReadableMap readableMap, Callback callback, Callback callback2) {
        TargetChosenReceiver.registerCallbacks(callback2, callback);
        try {
            new GenericShare(this.reactContext).open(readableMap);
        } catch (ActivityNotFoundException e) {
            System.out.println("ERROR");
            System.out.println(e.getMessage());
            TargetChosenReceiver.sendCallback(false, "not_available");
        } catch (Exception e2) {
            System.out.println("ERROR");
            System.out.println(e2.getMessage());
            TargetChosenReceiver.sendCallback(false, e2.getMessage());
        }
    }

    @ReactMethod
    public void shareSingle(ReadableMap readableMap, Callback callback, Callback callback2) {
        System.out.println("SHARE SINGLE METHOD");
        TargetChosenReceiver.registerCallbacks(callback2, callback);
        if (ShareIntent.hasValidKey(NotificationCompat.CATEGORY_SOCIAL, readableMap)) {
            try {
                ShareIntent shareClass = SHARES.getShareClass(readableMap.getString(NotificationCompat.CATEGORY_SOCIAL), this.reactContext);
                if (shareClass == null || !(shareClass instanceof ShareIntent)) {
                    throw new ActivityNotFoundException("Invalid share activity");
                }
                shareClass.open(readableMap);
            } catch (ActivityNotFoundException e) {
                System.out.println("ERROR");
                System.out.println(e.getMessage());
                TargetChosenReceiver.sendCallback(false, e.getMessage());
            } catch (Exception e2) {
                System.out.println("ERROR");
                System.out.println(e2.getMessage());
                TargetChosenReceiver.sendCallback(false, e2.getMessage());
            }
        } else {
            TargetChosenReceiver.sendCallback(false, "key 'social' missing in options");
        }
    }

    @ReactMethod
    public void isPackageInstalled(String str, Callback callback, Callback callback2) {
        try {
            callback2.invoke(Boolean.valueOf(ShareIntent.isPackageInstalled(str, this.reactContext)));
        } catch (Exception e) {
            PrintStream printStream = System.out;
            printStream.println("Error: " + e.getMessage());
            callback.invoke(e.getMessage());
        }
    }

    @ReactMethod
    public void isBase64File(String str, Callback callback, Callback callback2) {
        try {
            String scheme = Uri.parse(str).getScheme();
            if (scheme == null || !scheme.equals(UriUtil.DATA_SCHEME)) {
                callback2.invoke(false);
                return;
            }
            callback2.invoke(true);
        } catch (Exception e) {
            System.out.println("ERROR");
            System.out.println(e.getMessage());
            callback.invoke(e.getMessage());
        }
    }
}
