package com.flurry.sdk;

import com.flurry.sdk.gn;
import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;
import okhttp3.Call;
import okhttp3.EventListener;
import okhttp3.Interceptor;
import okhttp3.Protocol;
import okhttp3.Request;
import okhttp3.Response;

public final class di {
    public static void a(String str, String str2, int i, String str3, long j) {
        if (dk.b()) {
            HashMap hashMap = new HashMap();
            hashMap.put("fl.id", str);
            hashMap.put("fl.request.url", str2);
            hashMap.put("fl.response.code", Integer.toString(i));
            hashMap.put("fl.response.url", str3);
            hashMap.put("fl.total.time", Long.toString(j));
            cx.c("HttpLogging", "Logging parameters: ".concat(String.valueOf(hashMap)));
            a.a().a("Flurry.HTTPRequestTime", gn.a.PERFORMANCE, hashMap);
        }
    }

    public static class b implements Interceptor {
        private String a;

        public b(String str) {
            dk.a();
            this.a = str;
        }

        public void setId(String str) {
            this.a = str;
        }

        @Override // okhttp3.Interceptor
        public Response intercept(Interceptor.Chain chain) throws IOException {
            Request request = chain.request();
            long nanoTime = System.nanoTime();
            String httpUrl = request.url().toString();
            cx.a(3, "HttpLogging", "Sending request for ".concat(String.valueOf(httpUrl)));
            Response proceed = chain.proceed(request);
            long nanoTime2 = (long) (((double) (System.nanoTime() - nanoTime)) / 1000000.0d);
            int code = proceed.code();
            String httpUrl2 = proceed.request().url().toString();
            cx.a(3, "HttpLogging", "Received response " + code + " for " + httpUrl2 + " in " + nanoTime2 + " ms");
            di.a(this.a, httpUrl, code, httpUrl2, nanoTime2);
            return proceed;
        }
    }

    public static class a extends EventListener {
        private static final AtomicLong a = new AtomicLong(1);
        private long b = a.getAndIncrement();
        private String c;
        private Map<String, String> d;
        private long e;
        private long f;
        private long g;
        private long h;
        private boolean i;

        @Override // okhttp3.EventListener
        public void requestBodyStart(Call call) {
        }

        @Override // okhttp3.EventListener
        public void requestHeadersStart(Call call) {
        }

        @Override // okhttp3.EventListener
        public void responseBodyStart(Call call) {
        }

        @Override // okhttp3.EventListener
        public void responseHeadersStart(Call call) {
        }

        /* renamed from: com.flurry.sdk.di$a$a  reason: collision with other inner class name */
        public static class C0000a implements EventListener.Factory {
            private String a;

            public C0000a(String str) {
                dk.a();
                this.a = str;
            }

            public void setId(String str) {
                this.a = str;
            }

            @Override // okhttp3.EventListener.Factory
            public a create(Call call) {
                return new a(this.a);
            }
        }

        public a(String str) {
            dk.a();
            this.c = str;
            this.e = System.nanoTime();
            this.i = false;
            this.d = new HashMap();
        }

        public void setId(String str) {
            this.c = str;
        }

        @Override // okhttp3.EventListener
        public void callStart(Call call) {
            this.d.clear();
            this.d.put("fl.id", this.c);
            this.e = System.nanoTime();
            Request request = call.request();
            if (request != null) {
                this.d.put("fl.request.url", request.url().toString());
            }
        }

        @Override // okhttp3.EventListener
        public void callEnd(Call call) {
            if (!b()) {
                a();
            }
        }

        @Override // okhttp3.EventListener
        public void callFailed(Call call, IOException iOException) {
            if ((!this.d.containsKey("fl.response.code") || b()) && "timeout".equals(iOException.getMessage())) {
                this.d.put("fl.response.code", Integer.toString(408));
            }
            a();
        }

        private void a() {
            if (dk.b()) {
                this.d.put("fl.total.time", Long.toString((long) (((double) (System.nanoTime() - this.e)) / 1000000.0d)));
                cx.c("HttpLogging", "Logging parameters: " + this.d);
                a.a().a("Flurry.HTTPRequestTime", gn.a.PERFORMANCE, this.d);
            }
        }

        @Override // okhttp3.EventListener
        public void dnsStart(Call call, String str) {
            this.f = System.nanoTime();
        }

        @Override // okhttp3.EventListener
        public void dnsEnd(Call call, String str, List<InetAddress> list) {
            this.d.put("fl.dns.time", Long.toString((long) (((double) (System.nanoTime() - this.f)) / 1000000.0d)));
        }

        @Override // okhttp3.EventListener
        public void connectStart(Call call, InetSocketAddress inetSocketAddress, Proxy proxy) {
            this.g = System.nanoTime();
        }

        @Override // okhttp3.EventListener
        public void connectEnd(Call call, InetSocketAddress inetSocketAddress, Proxy proxy, Protocol protocol) {
            this.d.put("fl.connect.time", Long.toString((long) (((double) (System.nanoTime() - this.g)) / 1000000.0d)));
        }

        @Override // okhttp3.EventListener
        public void requestHeadersEnd(Call call, Request request) {
            if (!this.i) {
                this.i = true;
                this.d.put("fl.request.url", request.url().toString());
            }
            this.h = System.nanoTime();
        }

        @Override // okhttp3.EventListener
        public void requestBodyEnd(Call call, long j) {
            this.h = System.nanoTime();
        }

        @Override // okhttp3.EventListener
        public void responseHeadersEnd(Call call, Response response) {
            int code = response.code();
            String httpUrl = response.request().url().toString();
            this.d.put("fl.response.code", Integer.toString(code));
            this.d.put("fl.response.url", httpUrl);
            this.d.put("fl.response.time", Long.toString((long) (((double) (System.nanoTime() - this.h)) / 1000000.0d)));
        }

        @Override // okhttp3.EventListener
        public void responseBodyEnd(Call call, long j) {
            if (b()) {
                this.d.put("fl.redirect.time", Long.toString((long) (((double) (System.nanoTime() - this.e)) / 1000000.0d)));
            }
            this.d.put("fl.transfer.time", Long.toString((long) (((double) (System.nanoTime() - this.h)) / 1000000.0d)));
        }

        private boolean b() {
            try {
                int parseInt = Integer.parseInt(this.d.get("fl.response.code"));
                return parseInt >= 300 && parseInt < 400;
            } catch (NumberFormatException unused) {
                return false;
            }
        }
    }
}
