package com.gopher.mobile;

import android.content.Context;
import android.content.Intent;
import com.leaf.and.aleaf.SimpleVpnService;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.io.CloseableKt;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000\f\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0003\u0018\u0000 \u00032\u00020\u0001:\u0001\u0003B\u0005¢\u0006\u0002\u0010\u0002¨\u0006\u0004"}, d2 = {"Lcom/gopher/mobile/ProxyHelper;", "", "()V", "Companion", "leaf-android_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ProxyHelper.kt */
public final class ProxyHelper {
    public static final Companion Companion = new Companion(null);

    @Metadata(d1 = {"\u0000,\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0005\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\nJ\u0006\u0010\u000b\u001a\u00020\fJ\u001e\u0010\r\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u000e\u001a\u00020\n2\u0006\u0010\u000f\u001a\u00020\nJ\u0006\u0010\u0010\u001a\u00020\u0004¨\u0006\u0011"}, d2 = {"Lcom/gopher/mobile/ProxyHelper$Companion;", "", "()V", "copyRawResourceToDisk", "", "context", "Landroid/content/Context;", "resId", "", "destPath", "", "isVPNServiceConsented", "", "startProxyService", "title", "config", "stopProxyService", "leaf-android_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ProxyHelper.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final boolean isVPNServiceConsented() {
            return new SimpleVpnService().isLeafRunning();
        }

        public final void startProxyService(Context context, String str, String str2) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(str, "title");
            Intrinsics.checkNotNullParameter(str2, "config");
            Intent intent = new Intent(context, ProxyService.class);
            intent.putExtra("title", str);
            intent.putExtra("config", str2);
            context.startService(intent);
        }

        public final void stopProxyService() {
            new SimpleVpnService().stopLeaf();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:18:0x0049, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x004a, code lost:
            kotlin.io.CloseableKt.closeFinally(r7, r6);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:20:0x004d, code lost:
            throw r0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:24:0x0050, code lost:
            r7 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:25:0x0051, code lost:
            kotlin.io.CloseableKt.closeFinally(r5, r6);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:26:0x0054, code lost:
            throw r7;
         */
        public final void copyRawResourceToDisk(Context context, int i, String str) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(str, "destPath");
            File file = new File(str);
            if (!file.exists()) {
                try {
                    InputStream openRawResource = context.getResources().openRawResource(i);
                    InputStream inputStream = openRawResource;
                    FileOutputStream fileOutputStream = new FileOutputStream(file);
                    FileOutputStream fileOutputStream2 = fileOutputStream;
                    byte[] bArr = new byte[1024];
                    while (true) {
                        int read = inputStream.read(bArr);
                        if (read > 0) {
                            fileOutputStream2.write(bArr, 0, read);
                        } else {
                            Unit unit = Unit.INSTANCE;
                            CloseableKt.closeFinally(fileOutputStream, null);
                            Unit unit2 = Unit.INSTANCE;
                            CloseableKt.closeFinally(openRawResource, null);
                            return;
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
