package com.horcrux.svg;

import android.graphics.Path;
import android.graphics.RectF;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* access modifiers changed from: package-private */
public class PropHelper {
    private static final int inputMatrixDataSize = 6;

    PropHelper() {
    }

    static int toMatrixData(ReadableArray readableArray, float[] fArr, float f) {
        int size = readableArray.size();
        if (size != 6) {
            return size;
        }
        fArr[0] = (float) readableArray.getDouble(0);
        fArr[1] = (float) readableArray.getDouble(2);
        fArr[2] = ((float) readableArray.getDouble(4)) * f;
        fArr[3] = (float) readableArray.getDouble(1);
        fArr[4] = (float) readableArray.getDouble(3);
        fArr[5] = ((float) readableArray.getDouble(5)) * f;
        return 6;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    static double fromRelative(String str, double d, double d2, double d3, double d4) {
        double doubleValue;
        String trim = str.trim();
        int length = trim.length();
        int i = length - 1;
        if (length == 0 || trim.equals("normal")) {
            return d2;
        }
        if (trim.codePointAt(i) == 37) {
            return ((Double.valueOf(trim.substring(0, i)).doubleValue() / 100.0d) * d) + d2;
        }
        int i2 = length - 2;
        if (i2 > 0) {
            String substring = trim.substring(i2);
            substring.hashCode();
            char c = 65535;
            switch (substring.hashCode()) {
                case 3178:
                    if (substring.equals("cm")) {
                        c = 0;
                        break;
                    }
                    break;
                case 3240:
                    if (substring.equals("em")) {
                        c = 1;
                        break;
                    }
                    break;
                case 3365:
                    if (substring.equals("in")) {
                        c = 2;
                        break;
                    }
                    break;
                case 3488:
                    if (substring.equals("mm")) {
                        c = 3;
                        break;
                    }
                    break;
                case 3571:
                    if (substring.equals("pc")) {
                        c = 4;
                        break;
                    }
                    break;
                case 3588:
                    if (substring.equals("pt")) {
                        c = 5;
                        break;
                    }
                    break;
                case 3592:
                    if (substring.equals("px")) {
                        c = 6;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    d4 = 35.43307d;
                    length = i2;
                    break;
                case 1:
                    length = i2;
                    break;
                case 2:
                    d4 = 90.0d;
                    length = i2;
                    break;
                case 3:
                    d4 = 3.543307d;
                    length = i2;
                    break;
                case 4:
                    d4 = 15.0d;
                    length = i2;
                    break;
                case 5:
                    d4 = 1.25d;
                    length = i2;
                    break;
                case 6:
                    length = i2;
                    d4 = 1.0d;
                    break;
                default:
                    d4 = 1.0d;
                    break;
            }
            doubleValue = Double.valueOf(trim.substring(0, length)).doubleValue() * d4;
        } else {
            doubleValue = Double.valueOf(trim).doubleValue();
        }
        return (doubleValue * d3) + d2;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    static double fromRelative(SVGLength sVGLength, double d, double d2, double d3, double d4) {
        double d5;
        SVGLengthUnitType sVGLengthUnitType = sVGLength.unit;
        double d6 = sVGLength.value;
        switch (AnonymousClass1.$SwitchMap$com$horcrux$svg$SVGLengthUnitType[sVGLengthUnitType.ordinal()]) {
            case 1:
            case 2:
                d4 = 1.0d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 3:
                d5 = (d6 / 100.0d) * d;
                break;
            case 4:
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 5:
                d4 /= 2.0d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 6:
                d4 = 35.43307d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 7:
                d4 = 3.543307d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 8:
                d4 = 90.0d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 9:
                d4 = 1.25d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            case 10:
                d4 = 15.0d;
                d6 *= d4;
                d5 = d6 * d3;
                break;
            default:
                d5 = d6 * d3;
                break;
        }
        return d5 + d2;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.horcrux.svg.PropHelper$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$horcrux$svg$SVGLengthUnitType;

        /* JADX WARNING: Can't wrap try/catch for region: R(22:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|(3:21|22|24)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(24:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|24) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0078 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[SVGLengthUnitType.values().length];
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType = iArr;
            iArr[SVGLengthUnitType.SVG_LENGTHTYPE_NUMBER.ordinal()] = 1;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_PX.ordinal()] = 2;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_PERCENTAGE.ordinal()] = 3;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_EMS.ordinal()] = 4;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_EXS.ordinal()] = 5;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_CM.ordinal()] = 6;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_MM.ordinal()] = 7;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_IN.ordinal()] = 8;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_PT.ordinal()] = 9;
            $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_PC.ordinal()] = 10;
            try {
                $SwitchMap$com$horcrux$svg$SVGLengthUnitType[SVGLengthUnitType.SVG_LENGTHTYPE_UNKNOWN.ordinal()] = 11;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    static class PathParser {
        private static final Pattern DECIMAL_REG_EXP = Pattern.compile("(\\.\\d+)(?=-?\\.)");
        private static final Pattern PATH_REG_EXP = Pattern.compile("[a-df-z]|[\\-+]?(?:[\\d.]e[\\-+]?|[^\\s\\-+,a-z])+", 2);
        private WritableArray mBezierCurves;
        private String mLastCommand;
        private WritableMap mLastStartPoint;
        private String mLastValue;
        private Matcher mMatcher;
        private Path mPath;
        private float mPenDownX;
        private float mPenDownY;
        private float mPenX = 0.0f;
        private float mPenY = 0.0f;
        private boolean mPendDownSet = false;
        private float mPivotX = 0.0f;
        private float mPivotY = 0.0f;
        private final float mScale;
        private final String mString;
        private boolean mValid = true;

        PathParser(String str, float f) {
            this.mScale = f;
            this.mString = str;
        }

        private void executeCommand(String str) {
            str.hashCode();
            char c = 65535;
            switch (str.hashCode()) {
                case 65:
                    if (str.equals("A")) {
                        c = 0;
                        break;
                    }
                    break;
                case 67:
                    if (str.equals("C")) {
                        c = 1;
                        break;
                    }
                    break;
                case 72:
                    if (str.equals("H")) {
                        c = 2;
                        break;
                    }
                    break;
                case 76:
                    if (str.equals("L")) {
                        c = 3;
                        break;
                    }
                    break;
                case 77:
                    if (str.equals("M")) {
                        c = 4;
                        break;
                    }
                    break;
                case 81:
                    if (str.equals("Q")) {
                        c = 5;
                        break;
                    }
                    break;
                case 83:
                    if (str.equals("S")) {
                        c = 6;
                        break;
                    }
                    break;
                case 84:
                    if (str.equals("T")) {
                        c = 7;
                        break;
                    }
                    break;
                case 86:
                    if (str.equals("V")) {
                        c = '\b';
                        break;
                    }
                    break;
                case 90:
                    if (str.equals("Z")) {
                        c = '\t';
                        break;
                    }
                    break;
                case 97:
                    if (str.equals("a")) {
                        c = '\n';
                        break;
                    }
                    break;
                case 99:
                    if (str.equals("c")) {
                        c = 11;
                        break;
                    }
                    break;
                case 104:
                    if (str.equals("h")) {
                        c = '\f';
                        break;
                    }
                    break;
                case 108:
                    if (str.equals("l")) {
                        c = '\r';
                        break;
                    }
                    break;
                case 109:
                    if (str.equals("m")) {
                        c = 14;
                        break;
                    }
                    break;
                case 113:
                    if (str.equals("q")) {
                        c = 15;
                        break;
                    }
                    break;
                case 115:
                    if (str.equals("s")) {
                        c = 16;
                        break;
                    }
                    break;
                case 116:
                    if (str.equals("t")) {
                        c = 17;
                        break;
                    }
                    break;
                case 118:
                    if (str.equals("v")) {
                        c = 18;
                        break;
                    }
                    break;
                case 122:
                    if (str.equals("z")) {
                        c = 19;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    arcTo(getNextFloat(), getNextFloat(), getNextFloat(), getNextBoolean(), getNextBoolean(), getNextFloat(), getNextFloat());
                    break;
                case 1:
                    curveTo(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case 2:
                    lineTo(getNextFloat(), this.mPenY);
                    break;
                case 3:
                    lineTo(getNextFloat(), getNextFloat());
                    break;
                case 4:
                    moveTo(getNextFloat(), getNextFloat());
                    break;
                case 5:
                    quadraticBezierCurveTo(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case 6:
                    smoothCurveTo(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case 7:
                    smoothQuadraticBezierCurveTo(getNextFloat(), getNextFloat());
                    break;
                case '\b':
                    lineTo(this.mPenX, getNextFloat());
                    break;
                case '\t':
                case 19:
                    close();
                    break;
                case '\n':
                    arc(getNextFloat(), getNextFloat(), getNextFloat(), getNextBoolean(), getNextBoolean(), getNextFloat(), getNextFloat());
                    break;
                case 11:
                    curve(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case '\f':
                    line(getNextFloat(), 0.0f);
                    break;
                case '\r':
                    line(getNextFloat(), getNextFloat());
                    break;
                case 14:
                    move(getNextFloat(), getNextFloat());
                    break;
                case 15:
                    quadraticBezierCurve(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case 16:
                    smoothCurve(getNextFloat(), getNextFloat(), getNextFloat(), getNextFloat());
                    break;
                case 17:
                    smoothQuadraticBezierCurve(getNextFloat(), getNextFloat());
                    break;
                case 18:
                    line(0.0f, getNextFloat());
                    break;
                default:
                    this.mLastValue = str;
                    executeCommand(this.mLastCommand);
                    return;
            }
            this.mLastCommand = str;
            if (str.equals("m")) {
                this.mLastCommand = "l";
            } else if (str.equals("M")) {
                this.mLastCommand = "L";
            }
        }

        /* access modifiers changed from: package-private */
        public Path getPath() {
            this.mPath = new Path();
            this.mBezierCurves = Arguments.createArray();
            this.mMatcher = PATH_REG_EXP.matcher(DECIMAL_REG_EXP.matcher(this.mString).replaceAll("$1,"));
            while (this.mMatcher.find() && this.mValid) {
                executeCommand(this.mMatcher.group());
            }
            return this.mPath;
        }

        private WritableMap getPointMap(float f, float f2) {
            WritableMap createMap = Arguments.createMap();
            createMap.putDouble("x", (double) (f * this.mScale));
            createMap.putDouble("y", (double) (f2 * this.mScale));
            return createMap;
        }

        private WritableMap clonePointMap(WritableMap writableMap) {
            WritableMap createMap = Arguments.createMap();
            createMap.putDouble("x", writableMap.getDouble("x"));
            createMap.putDouble("y", writableMap.getDouble("y"));
            return createMap;
        }

        private boolean getNextBoolean() {
            if (this.mMatcher.find()) {
                return this.mMatcher.group().equals("1");
            }
            this.mValid = false;
            this.mPath = new Path();
            return false;
        }

        private float getNextFloat() {
            String str = this.mLastValue;
            if (str != null) {
                this.mLastValue = null;
                return Float.parseFloat(str);
            } else if (this.mMatcher.find()) {
                return Float.parseFloat(this.mMatcher.group());
            } else {
                this.mValid = false;
                this.mPath = new Path();
                return 0.0f;
            }
        }

        private void move(float f, float f2) {
            moveTo(f + this.mPenX, f2 + this.mPenY);
        }

        private void moveTo(float f, float f2) {
            this.mPenX = f;
            this.mPivotX = f;
            this.mPenDownX = f;
            this.mPenY = f2;
            this.mPivotY = f2;
            this.mPenDownY = f2;
            Path path = this.mPath;
            float f3 = this.mScale;
            path.moveTo(f * f3, f3 * f2);
            this.mLastStartPoint = getPointMap(f, f2);
            WritableArray createArray = Arguments.createArray();
            createArray.pushMap(getPointMap(f, f2));
            this.mBezierCurves.pushArray(createArray);
        }

        private void line(float f, float f2) {
            lineTo(f + this.mPenX, f2 + this.mPenY);
        }

        private void lineTo(float f, float f2) {
            setPenDown();
            this.mPenX = f;
            this.mPivotX = f;
            this.mPenY = f2;
            this.mPivotY = f2;
            Path path = this.mPath;
            float f3 = this.mScale;
            path.lineTo(f * f3, f3 * f2);
            WritableArray createArray = Arguments.createArray();
            createArray.pushMap(getPointMap(f, f2));
            createArray.pushMap(getPointMap(f, f2));
            createArray.pushMap(getPointMap(f, f2));
            this.mBezierCurves.pushArray(createArray);
        }

        private void curve(float f, float f2, float f3, float f4, float f5, float f6) {
            float f7 = this.mPenX;
            float f8 = f + f7;
            float f9 = this.mPenY;
            curveTo(f8, f2 + f9, f3 + f7, f4 + f9, f5 + f7, f6 + f9);
        }

        private void curveTo(float f, float f2, float f3, float f4, float f5, float f6) {
            this.mPivotX = f3;
            this.mPivotY = f4;
            cubicTo(f, f2, f3, f4, f5, f6);
        }

        private void cubicTo(float f, float f2, float f3, float f4, float f5, float f6) {
            setPenDown();
            this.mPenX = f5;
            this.mPenY = f6;
            Path path = this.mPath;
            float f7 = this.mScale;
            path.cubicTo(f * f7, f2 * f7, f3 * f7, f4 * f7, f5 * f7, f6 * f7);
            WritableArray createArray = Arguments.createArray();
            createArray.pushMap(getPointMap(f, f2));
            createArray.pushMap(getPointMap(f3, f4));
            createArray.pushMap(getPointMap(f5, f6));
            this.mBezierCurves.pushArray(createArray);
        }

        private void smoothCurve(float f, float f2, float f3, float f4) {
            float f5 = this.mPenX;
            float f6 = this.mPenY;
            smoothCurveTo(f + f5, f2 + f6, f3 + f5, f4 + f6);
        }

        private void smoothCurveTo(float f, float f2, float f3, float f4) {
            this.mPivotX = f;
            this.mPivotY = f2;
            cubicTo((this.mPenX * 2.0f) - this.mPivotX, (this.mPenY * 2.0f) - this.mPivotY, f, f2, f3, f4);
        }

        private void quadraticBezierCurve(float f, float f2, float f3, float f4) {
            float f5 = this.mPenX;
            float f6 = this.mPenY;
            quadraticBezierCurveTo(f + f5, f2 + f6, f3 + f5, f4 + f6);
        }

        private void quadraticBezierCurveTo(float f, float f2, float f3, float f4) {
            this.mPivotX = f;
            this.mPivotY = f2;
            float f5 = f * 2.0f;
            float f6 = f2 * 2.0f;
            float f7 = (this.mPenX + f5) / 3.0f;
            float f8 = (this.mPenY + f6) / 3.0f;
            cubicTo(f7, f8, (f3 + f5) / 3.0f, (f4 + f6) / 3.0f, f3, f4);
        }

        private void smoothQuadraticBezierCurve(float f, float f2) {
            smoothQuadraticBezierCurveTo(f + this.mPenX, f2 + this.mPenY);
        }

        private void smoothQuadraticBezierCurveTo(float f, float f2) {
            quadraticBezierCurveTo((this.mPenX * 2.0f) - this.mPivotX, (this.mPenY * 2.0f) - this.mPivotY, f, f2);
        }

        private void arc(float f, float f2, float f3, boolean z, boolean z2, float f4, float f5) {
            arcTo(f, f2, f3, z, z2, f4 + this.mPenX, f5 + this.mPenY);
        }

        private void arcTo(float f, float f2, float f3, boolean z, boolean z2, float f4, float f5) {
            float f6;
            float f7;
            float f8;
            float f9 = this.mPenX;
            float f10 = this.mPenY;
            float abs = Math.abs(f2 == 0.0f ? f == 0.0f ? f5 - f10 : f : f2);
            float abs2 = Math.abs(f == 0.0f ? f4 - f9 : f);
            if (abs2 == 0.0f || abs == 0.0f || (f4 == f9 && f5 == f10)) {
                lineTo(f4, f5);
                return;
            }
            float radians = (float) Math.toRadians((double) f3);
            double d = (double) radians;
            float cos = (float) Math.cos(d);
            float sin = (float) Math.sin(d);
            float f11 = f4 - f9;
            float f12 = f5 - f10;
            float f13 = ((cos * f11) / 2.0f) + ((sin * f12) / 2.0f);
            float f14 = -sin;
            float f15 = ((f14 * f11) / 2.0f) + ((cos * f12) / 2.0f);
            float f16 = abs2 * abs2;
            float f17 = f16 * abs * abs;
            float f18 = abs * abs * f13 * f13;
            float f19 = f16 * f15 * f15;
            float f20 = (f17 - f19) - f18;
            if (f20 < 0.0f) {
                f6 = f14;
                float sqrt = (float) Math.sqrt((double) (1.0f - (f20 / f17)));
                abs2 *= sqrt;
                abs *= sqrt;
                f7 = f11 / 2.0f;
                f8 = f12 / 2.0f;
            } else {
                f6 = f14;
                float sqrt2 = (float) Math.sqrt((double) (f20 / (f19 + f18)));
                if (z == z2) {
                    sqrt2 = -sqrt2;
                }
                float f21 = (((-sqrt2) * f15) * abs2) / abs;
                float f22 = ((sqrt2 * f13) * abs) / abs2;
                f7 = ((cos * f21) - (sin * f22)) + (f11 / 2.0f);
                f8 = (f12 / 2.0f) + (f21 * sin) + (f22 * cos);
            }
            float f23 = cos / abs2;
            float f24 = sin / abs2;
            float f25 = f6 / abs;
            float f26 = cos / abs;
            float f27 = -f7;
            float f28 = -f8;
            float atan2 = (float) Math.atan2((double) ((f25 * f27) + (f26 * f28)), (double) ((f27 * f23) + (f28 * f24)));
            float f29 = f11 - f7;
            float f30 = f12 - f8;
            float atan22 = (float) Math.atan2((double) ((f25 * f29) + (f26 * f30)), (double) ((f23 * f29) + (f24 * f30)));
            float f31 = f7 + f9;
            float f32 = f8 + f10;
            float f33 = f11 + f9;
            float f34 = f12 + f10;
            setPenDown();
            this.mPivotX = f33;
            this.mPenX = f33;
            this.mPivotY = f34;
            this.mPenY = f34;
            if (abs2 == abs && radians == 0.0f) {
                float degrees = (float) Math.toDegrees((double) atan2);
                float abs3 = Math.abs((degrees - ((float) Math.toDegrees((double) atan22))) % 360.0f);
                if (!z ? abs3 > 180.0f : abs3 < 180.0f) {
                    abs3 = 360.0f - abs3;
                }
                if (!z2) {
                    abs3 = -abs3;
                }
                float f35 = this.mScale;
                this.mPath.arcTo(new RectF((f31 - abs2) * f35, (f32 - abs2) * f35, (f31 + abs2) * f35, (f32 + abs2) * f35), degrees, abs3);
                return;
            }
            arcToBezier(f31, f32, abs2, abs, atan2, atan22, z2, radians);
        }

        private void close() {
            if (this.mPendDownSet) {
                this.mPenX = this.mPenDownX;
                this.mPenY = this.mPenDownY;
                this.mPendDownSet = false;
                this.mPath.close();
                WritableArray createArray = Arguments.createArray();
                createArray.pushMap(clonePointMap(this.mLastStartPoint));
                createArray.pushMap(clonePointMap(this.mLastStartPoint));
                createArray.pushMap(clonePointMap(this.mLastStartPoint));
                this.mBezierCurves.pushArray(createArray);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x006a A[LOOP:0: B:10:0x0068->B:11:0x006a, LOOP_END] */
        private void arcToBezier(float f, float f2, float f3, float f4, float f5, float f6, boolean z, float f7) {
            int ceil;
            int i;
            double d;
            float f8 = f5;
            double d2 = (double) f7;
            float cos = (float) Math.cos(d2);
            float sin = (float) Math.sin(d2);
            float f9 = cos * f3;
            float f10 = (-sin) * f4;
            float f11 = sin * f3;
            float f12 = cos * f4;
            float f13 = f6 - f8;
            if (f13 >= 0.0f || !z) {
                if (f13 > 0.0f && !z) {
                    d = ((double) f13) - 6.283185307179586d;
                }
                ceil = (int) Math.ceil(Math.abs(round(((double) f13) / 1.5707963267948966d)));
                float f14 = f13 / ((float) ceil);
                float tan = (float) (Math.tan((double) (f14 / 4.0f)) * 1.3333333333333333d);
                double d3 = (double) f8;
                float cos2 = (float) Math.cos(d3);
                float sin2 = (float) Math.sin(d3);
                i = 0;
                while (i < ceil) {
                    float f15 = cos2 - (tan * sin2);
                    float f16 = sin2 + (cos2 * tan);
                    float f17 = f8 + f14;
                    double d4 = (double) f17;
                    float cos3 = (float) Math.cos(d4);
                    float sin3 = (float) Math.sin(d4);
                    float f18 = (tan * sin3) + cos3;
                    float f19 = sin3 - (tan * cos3);
                    Path path = this.mPath;
                    float f20 = this.mScale;
                    path.cubicTo((f + (f9 * f15) + (f10 * f16)) * f20, (f2 + (f15 * f11) + (f16 * f12)) * f20, (f + (f9 * f18) + (f10 * f19)) * f20, (f2 + (f18 * f11) + (f19 * f12)) * f20, (f + (f9 * cos3) + (f10 * sin3)) * f20, (f2 + (f11 * cos3) + (f12 * sin3)) * f20);
                    i++;
                    f8 = f17;
                    f11 = f11;
                    sin2 = sin3;
                    ceil = ceil;
                    cos2 = cos3;
                    f14 = f14;
                }
            }
            d = ((double) f13) + 6.283185307179586d;
            f13 = (float) d;
            ceil = (int) Math.ceil(Math.abs(round(((double) f13) / 1.5707963267948966d)));
            float f142 = f13 / ((float) ceil);
            float tan2 = (float) (Math.tan((double) (f142 / 4.0f)) * 1.3333333333333333d);
            double d32 = (double) f8;
            float cos22 = (float) Math.cos(d32);
            float sin22 = (float) Math.sin(d32);
            i = 0;
            while (i < ceil) {
            }
        }

        private void setPenDown() {
            if (!this.mPendDownSet) {
                this.mPenDownX = this.mPenX;
                this.mPenDownY = this.mPenY;
                this.mPendDownSet = true;
            }
        }

        private double round(double d) {
            double pow = Math.pow(10.0d, 4.0d);
            return ((double) Math.round(d * pow)) / pow;
        }
    }
}
