package com.squirrelvpn.modules;

import android.app.Activity;
import android.content.Intent;
import android.net.VpnService;
import android.util.Log;
import androidx.autofill.HintConstants;
import androidx.core.app.NotificationCompat;
import com.facebook.react.bridge.BaseJavaModule;
import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.uimanager.ViewProps;
import com.gopher.mobile.GlobalConfig;
import com.gopher.mobile.ProxyHelper;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.json.JSONObject;
import org.matrix.olm.OlmException;

@Metadata(d1 = {"\u0000-\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007*\u0001\u0006\u0018\u0000 \u00132\u00020\u0001:\u0001\u0013B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0018\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\rH\u0007J\u0010\u0010\u000e\u001a\u00020\t2\u0006\u0010\f\u001a\u00020\rH\u0007J\b\u0010\u000f\u001a\u00020\u000bH\u0016J\u0010\u0010\u0010\u001a\u00020\t2\u0006\u0010\f\u001a\u00020\rH\u0007J\b\u0010\u0011\u001a\u00020\tH\u0002J\b\u0010\u0012\u001a\u00020\tH\u0003R\u000e\u0010\u0002\u001a\u00020\u0003X\u0004¢\u0006\u0002\n\u0000R\u0010\u0010\u0005\u001a\u00020\u0006X\u0004¢\u0006\u0004\n\u0002\u0010\u0007¨\u0006\u0014"}, d2 = {"Lcom/squirrelvpn/modules/TrojanGoModule;", "Lcom/facebook/react/bridge/ReactContextBaseJavaModule;", "reactContext", "Lcom/facebook/react/bridge/ReactApplicationContext;", "(Lcom/facebook/react/bridge/ReactApplicationContext;)V", "vpnIntentResultEventListener", "com/squirrelvpn/modules/TrojanGoModule$vpnIntentResultEventListener$1", "Lcom/squirrelvpn/modules/TrojanGoModule$vpnIntentResultEventListener$1;", "connect", "", "proxy", "", BaseJavaModule.METHOD_TYPE_PROMISE, "Lcom/facebook/react/bridge/Promise;", "disconnect", "getName", "isRunning", "startVPNService", "stopVPNService", "Companion", "app_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: TrojanGoModule.kt */
public final class TrojanGoModule extends ReactContextBaseJavaModule {
    public static final Companion Companion = new Companion(null);
    private static final int REQUEST_TROJAN_CONNECT = 2;
    private static final String TAG = TrojanGoModule.class.getName();
    private static String configJSON = "";
    private static boolean isAgreeVPNConnection;
    private static boolean isCancelVPNConnection;
    private final ReactApplicationContext reactContext;
    private final TrojanGoModule$vpnIntentResultEventListener$1 vpnIntentResultEventListener;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "TrojanGoModule";
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public TrojanGoModule(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
        Intrinsics.checkNotNullParameter(reactApplicationContext, "reactContext");
        this.reactContext = reactApplicationContext;
        TrojanGoModule$vpnIntentResultEventListener$1 trojanGoModule$vpnIntentResultEventListener$1 = new TrojanGoModule$vpnIntentResultEventListener$1(this);
        this.vpnIntentResultEventListener = trojanGoModule$vpnIntentResultEventListener$1;
        reactApplicationContext.addActivityEventListener(trojanGoModule$vpnIntentResultEventListener$1);
    }

    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u000b\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u0016\u0010\u0005\u001a\n \u0007*\u0004\u0018\u00010\u00060\u0006X\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\b\u001a\u00020\u0006X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\nX\u000e¢\u0006\u0002\n\u0000¨\u0006\f"}, d2 = {"Lcom/squirrelvpn/modules/TrojanGoModule$Companion;", "", "()V", "REQUEST_TROJAN_CONNECT", "", "TAG", "", "kotlin.jvm.PlatformType", "configJSON", "isAgreeVPNConnection", "", "isCancelVPNConnection", "app_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TrojanGoModule.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }

    @ReactMethod
    public final synchronized void connect(String str, Promise promise) {
        Intrinsics.checkNotNullParameter(str, "proxy");
        Intrinsics.checkNotNullParameter(promise, BaseJavaModule.METHOD_TYPE_PROMISE);
        JSONObject jSONObject = new JSONObject();
        try {
            if (str.length() == 0) {
                jSONObject.put("code", OlmException.EXCEPTION_CODE_UTILITY_CREATION);
                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "Invalid connection parameters");
                promise.resolve(jSONObject.toString());
                return;
            }
            configJSON = str;
            if (ProxyHelper.Companion.isVPNServiceConsented()) {
                jSONObject.put("code", 200);
                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "VPN is already connected");
                promise.resolve(jSONObject.toString());
                return;
            }
            Intent prepare = VpnService.prepare(this.reactContext);
            if (prepare == null) {
                isAgreeVPNConnection = true;
                startVPNService();
            } else {
                Activity currentActivity = getCurrentActivity();
                if (prepare.resolveActivity(this.reactContext.getPackageManager()) != null) {
                    Intrinsics.checkNotNull(currentActivity);
                    currentActivity.startActivityForResult(prepare, 2);
                }
            }
            while (!isAgreeVPNConnection) {
                String str2 = TAG;
                Log.d(str2, "isAgreeVPNConnection = " + isAgreeVPNConnection);
                Thread.sleep(100);
                if (isCancelVPNConnection) {
                    break;
                }
            }
            if (isCancelVPNConnection) {
                String str3 = TAG;
                Log.i(str3, "isCancelVPNConnection -> " + isCancelVPNConnection);
                jSONObject.put("code", OlmException.EXCEPTION_CODE_SESSION_INIT_OUTBOUND_SESSION);
                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "Permission denied to create a VPN service");
                isAgreeVPNConnection = false;
                isCancelVPNConnection = false;
                promise.resolve(jSONObject.toString());
                return;
            }
            jSONObject.put("code", 200);
            jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, "Connect successfully");
            promise.resolve(jSONObject.toString());
        } catch (Exception e) {
            String str4 = TAG;
            Log.e(str4, "connect error :" + e.getMessage());
            promise.reject(e);
        }
    }

    @ReactMethod
    public final synchronized void disconnect(Promise promise) {
        Intrinsics.checkNotNullParameter(promise, BaseJavaModule.METHOD_TYPE_PROMISE);
        try {
            stopVPNService();
            promise.resolve(true);
        } catch (Exception e) {
            String str = TAG;
            Log.e(str, "disconnect VPN error :" + e.getMessage());
            promise.reject(e);
        }
    }

    @ReactMethod
    public final void isRunning(Promise promise) {
        Intrinsics.checkNotNullParameter(promise, BaseJavaModule.METHOD_TYPE_PROMISE);
        try {
            promise.resolve(Boolean.valueOf(ProxyHelper.Companion.isVPNServiceConsented()));
        } catch (Exception e) {
            String str = TAG;
            Log.e(str, "query VPN running status error :" + e.getMessage());
            promise.reject(e);
        }
    }

    /* access modifiers changed from: private */
    public final void startVPNService() {
        String str;
        String geoSitePath = GlobalConfig.Companion.getGeoSitePath(this.reactContext);
        String geoLite2CountryPath = GlobalConfig.Companion.getGeoLite2CountryPath(this.reactContext);
        JSONObject jSONObject = new JSONObject(configJSON);
        String string = jSONObject.getString("location");
        String string2 = jSONObject.getString("remote_addr");
        int i = jSONObject.getInt("remote_port");
        boolean z = false;
        Object obj = jSONObject.getJSONArray(HintConstants.AUTOFILL_HINT_PASSWORD).get(0);
        boolean z2 = jSONObject.getBoolean("globalMode");
        try {
            JSONObject jSONObject2 = jSONObject.getJSONObject("websocket");
            z = jSONObject2.getBoolean(ViewProps.ENABLED);
            str = jSONObject2.getString("path");
            Intrinsics.checkNotNullExpressionValue(str, "websocket.getString(\"path\")");
        } catch (Exception unused) {
            Log.w(TAG, "No parameter for websocket");
            str = "";
        }
        String str2 = "\n            EXTERNAL, site:" + geoSitePath + ":cn, Direct\n            EXTERNAL, site:" + geoSitePath + ":private, Direct\n            EXTERNAL, mmdb:" + geoLite2CountryPath + ":cn, Direct\n            EXTERNAL, site:" + geoSitePath + ":category-ads, Reject\n            EXTERNAL, site:" + geoSitePath + ":geolocation-!cn, TrojanWS\n            FINAL, TrojanWS\n        ";
        if (z2) {
            str2 = "\n            FINAL, TrojanWS\n        ";
        }
        Intrinsics.checkNotNullExpressionValue(string, "location");
        ProxyHelper.Companion.startProxyService(this.reactContext, string, "\n            [General]\n            loglevel = none\n            dns-server = 1.1.1.1, 8.8.8.8, 8.8.4.4\n            always-real-ip = *\n            tun-fd = REPLACE-TUN-FD\n\n            [Proxy]\n            Direct = direct\n            Reject = reject\n            TrojanWS = trojan, " + string2 + ", " + i + ", password=" + obj + ", sni=" + string2 + ", ws=" + z + ", ws-path=" + str + "\n\n            [Rule]\n            " + str2 + "\n            ");
    }

    private final void stopVPNService() {
        ProxyHelper.Companion.stopProxyService();
    }
}
