package com.squirrelvpn.utils;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.util.Log;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.IOException;
import java.util.Locale;

public class VirtualCheckUtils {
    public static final String FILE_DIR = "/data/user/0/com.squirrel/files";
    public static final String FILE_DIR_OTHER = "/data/data/com.squirrel/files";
    private static final String TAG = "VirtualCheckUtils";

    public static boolean isRunInVirtual(Context context) {
        return hasSamePackageName(context) || hasVirtualPackageInUidProcess();
    }

    private static boolean isNotOriginalAppFileDir(Context context) {
        try {
            String absolutePath = context.getFilesDir().getAbsolutePath();
            Log.i(TAG, "CK => PKG = " + context.getPackageName() + ", DIR = " + absolutePath);
            if (absolutePath.equals(FILE_DIR) || absolutePath.equals(FILE_DIR_OTHER)) {
                return false;
            }
            return true;
        } catch (Exception e) {
            Log.e(TAG, "CK => isOriginalAppFileDir error :" + e.getMessage());
            return false;
        }
    }

    private static boolean hasSamePackageName(Context context) {
        if (context == null) {
            return false;
        }
        try {
            String packageName = context.getPackageName();
            int i = 0;
            for (PackageInfo packageInfo : context.getPackageManager().getInstalledPackages(0)) {
                if (packageName.equals(packageInfo.packageName)) {
                    i++;
                }
            }
            Log.i(TAG, "CK => hasSamePackageName count -> " + i);
            if (i > 1) {
                return true;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    private static boolean hasVirtualPackageInUidProcess() {
        String[] split;
        String uidStrFormat = getUidStrFormat();
        String exec = exec("ps");
        Log.i(TAG, "CK => PS list: \n" + exec);
        if (exec == null || exec.isEmpty() || (split = exec.split("\n")) == null || split.length <= 0) {
            return false;
        }
        Log.i(TAG, "CK => UID -> " + uidStrFormat);
        int i = 0;
        for (int i2 = 0; i2 < split.length; i2++) {
            if (split[i2].contains(uidStrFormat)) {
                Log.i(TAG, "CK => PS list line " + i2 + " -> " + split[i2]);
                int lastIndexOf = split[i2].lastIndexOf(" ");
                File file = new File(String.format("/data/data/%s", split[i2].substring(lastIndexOf <= 0 ? 0 : lastIndexOf + 1, split[i2].length()), Locale.CHINA));
                Log.i(TAG, "CK => data file path = " + file.getAbsolutePath() + ", exists = " + file.exists());
                if (file.exists()) {
                    i++;
                }
            }
        }
        if (i > 1) {
            return true;
        }
        return false;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:21:? */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r3v6, resolved type: java.io.BufferedInputStream */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0060 A[SYNTHETIC, Splitter:B:34:0x0060] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x006a A[SYNTHETIC, Splitter:B:39:0x006a] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0074  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x007d A[SYNTHETIC, Splitter:B:50:0x007d] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0087 A[SYNTHETIC, Splitter:B:55:0x0087] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0091  */
    private static String exec(String str) {
        BufferedInputStream bufferedInputStream;
        BufferedOutputStream bufferedOutputStream;
        Process process;
        Throwable th;
        BufferedInputStream bufferedInputStream2;
        BufferedInputStream bufferedInputStream3;
        BufferedOutputStream bufferedOutputStream2 = null;
        try {
            process = Runtime.getRuntime().exec("sh");
            try {
                bufferedOutputStream = new BufferedOutputStream(process.getOutputStream());
            } catch (Exception unused) {
                bufferedOutputStream = null;
                bufferedInputStream = bufferedOutputStream;
                if (bufferedOutputStream != null) {
                    try {
                        bufferedOutputStream.close();
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                }
                if (bufferedInputStream != 0) {
                    try {
                        bufferedInputStream.close();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                    }
                }
                if (process != null) {
                    process.destroy();
                }
                return null;
            } catch (Throwable th2) {
                th = th2;
                bufferedInputStream2 = null;
                if (bufferedOutputStream2 != null) {
                    try {
                        bufferedOutputStream2.close();
                    } catch (IOException e3) {
                        e3.printStackTrace();
                    }
                }
                if (bufferedInputStream2 != null) {
                    try {
                        bufferedInputStream2.close();
                    } catch (IOException e4) {
                        e4.printStackTrace();
                    }
                }
                if (process != null) {
                    process.destroy();
                }
                throw th;
            }
            try {
                bufferedInputStream = new BufferedInputStream(process.getInputStream());
                try {
                    bufferedOutputStream.write(str.getBytes());
                    bufferedOutputStream.write(10);
                    bufferedOutputStream.flush();
                    bufferedOutputStream.close();
                    process.waitFor();
                    String strFromBufferInputSteam = getStrFromBufferInputSteam(bufferedInputStream);
                    try {
                        bufferedOutputStream.close();
                    } catch (IOException e5) {
                        e5.printStackTrace();
                    }
                    try {
                        bufferedInputStream.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                    if (process != null) {
                        process.destroy();
                    }
                    return strFromBufferInputSteam;
                } catch (Exception unused2) {
                    if (bufferedOutputStream != null) {
                    }
                    if (bufferedInputStream != 0) {
                    }
                    if (process != null) {
                    }
                    return null;
                } catch (Throwable th3) {
                    th = th3;
                    bufferedInputStream3 = bufferedInputStream;
                    bufferedOutputStream2 = bufferedOutputStream;
                    bufferedInputStream2 = bufferedInputStream3;
                    if (bufferedOutputStream2 != null) {
                    }
                    if (bufferedInputStream2 != null) {
                    }
                    if (process != null) {
                    }
                    throw th;
                }
            } catch (Exception unused3) {
                bufferedInputStream = 0;
                if (bufferedOutputStream != null) {
                }
                if (bufferedInputStream != 0) {
                }
                if (process != null) {
                }
                return null;
            } catch (Throwable th4) {
                th = th4;
                bufferedInputStream3 = null;
                bufferedOutputStream2 = bufferedOutputStream;
                bufferedInputStream2 = bufferedInputStream3;
                if (bufferedOutputStream2 != null) {
                }
                if (bufferedInputStream2 != null) {
                }
                if (process != null) {
                }
                throw th;
            }
        } catch (Exception unused4) {
            process = null;
            bufferedOutputStream = null;
            bufferedInputStream = bufferedOutputStream;
            if (bufferedOutputStream != null) {
            }
            if (bufferedInputStream != 0) {
            }
            if (process != null) {
            }
            return null;
        } catch (Throwable th5) {
            th = th5;
            process = null;
            bufferedInputStream2 = null;
            if (bufferedOutputStream2 != null) {
            }
            if (bufferedInputStream2 != null) {
            }
            if (process != null) {
            }
            throw th;
        }
    }

    private static String getStrFromBufferInputSteam(BufferedInputStream bufferedInputStream) {
        int read;
        if (bufferedInputStream == null) {
            return "";
        }
        byte[] bArr = new byte[512];
        StringBuilder sb = new StringBuilder();
        do {
            try {
                read = bufferedInputStream.read(bArr);
                if (read > 0) {
                    sb.append(new String(bArr, 0, read));
                    continue;
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        } while (read >= 512);
        return sb.toString();
    }

    public static String getUidStrFormat() {
        String exec = exec("cat /proc/self/cgroup");
        if (!(exec == null || exec.length() == 0)) {
            int lastIndexOf = exec.lastIndexOf("uid");
            int lastIndexOf2 = exec.lastIndexOf("/pid");
            if (lastIndexOf < 0) {
                return null;
            }
            if (lastIndexOf2 <= 0) {
                lastIndexOf2 = exec.length();
            }
            try {
                String replaceAll = exec.substring(lastIndexOf + 4, lastIndexOf2).replaceAll("\n", "");
                if (!isNumber(replaceAll)) {
                    return null;
                }
                return String.format("u0_a%d", Integer.valueOf(Integer.valueOf(replaceAll).intValue() - 10000));
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return null;
    }

    public static boolean isNumber(String str) {
        if (str == null || str.length() == 0) {
            return false;
        }
        for (int i = 0; i < str.length(); i++) {
            if (!Character.isDigit(str.charAt(i))) {
                return false;
            }
        }
        return true;
    }
}
