package com.swmansion.rnscreens;

import android.content.Context;
import android.view.View;
import androidx.activity.OnBackPressedCallback;
import androidx.appcompat.widget.SearchView;
import androidx.fragment.app.Fragment;
import kotlin.jvm.internal.Intrinsics;

public final class CustomSearchView extends SearchView {
    private final FragmentBackPressOverrider backPressOverrider;
    private SearchView.OnCloseListener mCustomOnCloseListener;
    private View.OnClickListener mCustomOnSearchClickedListener;
    private OnBackPressedCallback mOnBackPressedCallback;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public CustomSearchView(Context context, Fragment fragment) {
        super(context);
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(fragment, "fragment");
        CustomSearchView$mOnBackPressedCallback$1 customSearchView$mOnBackPressedCallback$1 = new CustomSearchView$mOnBackPressedCallback$1(this);
        this.mOnBackPressedCallback = customSearchView$mOnBackPressedCallback$1;
        this.backPressOverrider = new FragmentBackPressOverrider(fragment, customSearchView$mOnBackPressedCallback$1);
        super.setOnSearchClickListener(new CustomSearchView$$ExternalSyntheticLambda0(this));
        super.setOnCloseListener(new CustomSearchView$$ExternalSyntheticLambda1(this));
        setMaxWidth(Integer.MAX_VALUE);
    }

    public final void setOverrideBackAction(boolean z) {
        this.backPressOverrider.setOverrideBackAction(z);
    }

    public final boolean getOverrideBackAction() {
        return this.backPressOverrider.getOverrideBackAction();
    }

    public final void focus() {
        setIconified(false);
        requestFocusFromTouch();
    }

    @Override // androidx.appcompat.widget.SearchView
    public void setOnCloseListener(SearchView.OnCloseListener onCloseListener) {
        this.mCustomOnCloseListener = onCloseListener;
    }

    @Override // androidx.appcompat.widget.SearchView
    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.mCustomOnSearchClickedListener = onClickListener;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (!isIconified()) {
            this.backPressOverrider.maybeAddBackCallback();
        }
    }

    @Override // androidx.appcompat.widget.SearchView
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.backPressOverrider.removeBackCallbackIfAdded();
    }

    /* renamed from: _init_$lambda-0 */
    public static final void m18_init_$lambda0(CustomSearchView customSearchView, View view) {
        Intrinsics.checkNotNullParameter(customSearchView, "this$0");
        View.OnClickListener onClickListener = customSearchView.mCustomOnSearchClickedListener;
        if (onClickListener != null) {
            onClickListener.onClick(view);
        }
        customSearchView.backPressOverrider.maybeAddBackCallback();
    }

    /* renamed from: _init_$lambda-1 */
    public static final boolean m19_init_$lambda1(CustomSearchView customSearchView) {
        Intrinsics.checkNotNullParameter(customSearchView, "this$0");
        SearchView.OnCloseListener onCloseListener = customSearchView.mCustomOnCloseListener;
        boolean onClose = onCloseListener != null ? onCloseListener.onClose() : false;
        customSearchView.backPressOverrider.removeBackCallbackIfAdded();
        return onClose;
    }
}
