package expo.modules.constants;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.UUID;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.io.CloseableKt;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0004\u0018\u0000 \u000f2\u00020\u0001:\u0001\u000fB\u000f\b\u0000\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0006\u0010\r\u001a\u00020\fJ\b\u0010\u000e\u001a\u0004\u0018\u00010\fR\u000e\u0010\u0002\u001a\u00020\u0003X\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\u0007\u001a\u00020\b8BX\u0004¢\u0006\u0006\u001a\u0004\b\t\u0010\nR\u0010\u0010\u000b\u001a\u0004\u0018\u00010\fX\u000e¢\u0006\u0002\n\u0000¨\u0006\u0010"}, d2 = {"Lexpo/modules/constants/ExponentInstallationId;", "", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "mSharedPreferences", "Landroid/content/SharedPreferences;", "nonBackedUpUuidFile", "Ljava/io/File;", "getNonBackedUpUuidFile", "()Ljava/io/File;", ExponentInstallationId.LEGACY_UUID_KEY, "", "getOrCreateUUID", "getUUID", "Companion", "expo-constants_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ExponentInstallationId.kt */
public final class ExponentInstallationId {
    public static final Companion Companion = new Companion(null);
    public static final String LEGACY_UUID_KEY = "uuid";
    public static final String UUID_FILE_NAME = "expo_installation_uuid.txt";
    private final Context context;
    private final SharedPreferences mSharedPreferences;
    private String uuid;

    public ExponentInstallationId(Context context2) {
        Intrinsics.checkNotNullParameter(context2, "context");
        this.context = context2;
        SharedPreferences sharedPreferences = context2.getSharedPreferences("host.exp.exponent.SharedPreferences", 0);
        Intrinsics.checkNotNullExpressionValue(sharedPreferences, "context.getSharedPrefere…ME, Context.MODE_PRIVATE)");
        this.mSharedPreferences = sharedPreferences;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x003c, code lost:
        r6 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x003d, code lost:
        kotlin.io.CloseableKt.closeFinally(r5, r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0040, code lost:
        throw r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0043, code lost:
        r5 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0044, code lost:
        kotlin.io.CloseableKt.closeFinally(r3, r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0047, code lost:
        throw r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x0079, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x007a, code lost:
        kotlin.io.CloseableKt.closeFinally(r5, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x007d, code lost:
        throw r1;
     */
    public final String getUUID() {
        String str = this.uuid;
        if (str != null) {
            return str;
        }
        File nonBackedUpUuidFile = getNonBackedUpUuidFile();
        boolean z = true;
        try {
            FileReader fileReader = new FileReader(nonBackedUpUuidFile);
            BufferedReader bufferedReader = new BufferedReader(fileReader);
            this.uuid = UUID.fromString(bufferedReader.readLine()).toString();
            Unit unit = Unit.INSTANCE;
            CloseableKt.closeFinally(bufferedReader, null);
            Unit unit2 = Unit.INSTANCE;
            CloseableKt.closeFinally(fileReader, null);
        } catch (Exception e) {
            if (!(e instanceof IOException ? true : e instanceof IllegalArgumentException)) {
                throw e;
            }
        }
        String str2 = this.uuid;
        if (str2 != null) {
            return str2;
        }
        String string = this.mSharedPreferences.getString(LEGACY_UUID_KEY, null);
        if (string != null) {
            this.uuid = string;
            try {
                FileWriter fileWriter = new FileWriter(nonBackedUpUuidFile);
                fileWriter.write(string);
                Unit unit3 = Unit.INSTANCE;
                CloseableKt.closeFinally(fileWriter, null);
            } catch (IOException e2) {
                String access$getTAG$p = ExponentInstallationIdKt.access$getTAG$p();
                Log.e(access$getTAG$p, "Error while migrating UUID from legacy storage. " + e2);
                z = false;
            }
            if (z) {
                this.mSharedPreferences.edit().remove(LEGACY_UUID_KEY).apply();
            }
        }
        return this.uuid;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002d, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x002e, code lost:
        kotlin.io.CloseableKt.closeFinally(r0, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0031, code lost:
        throw r2;
     */
    public final String getOrCreateUUID() {
        String uuid2 = getUUID();
        if (uuid2 != null) {
            return uuid2;
        }
        this.uuid = UUID.randomUUID().toString();
        try {
            FileWriter fileWriter = new FileWriter(getNonBackedUpUuidFile());
            fileWriter.write(this.uuid);
            Unit unit = Unit.INSTANCE;
            CloseableKt.closeFinally(fileWriter, null);
        } catch (IOException e) {
            String access$getTAG$p = ExponentInstallationIdKt.access$getTAG$p();
            Log.e(access$getTAG$p, "Error while writing new UUID. " + e);
        }
        String str = this.uuid;
        Intrinsics.checkNotNull(str);
        return str;
    }

    private final File getNonBackedUpUuidFile() {
        return new File(this.context.getNoBackupFilesDir(), UUID_FILE_NAME);
    }

    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0006"}, d2 = {"Lexpo/modules/constants/ExponentInstallationId$Companion;", "", "()V", "LEGACY_UUID_KEY", "", "UUID_FILE_NAME", "expo-constants_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ExponentInstallationId.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }
    }
}
