package kotlin.reflect.jvm.internal;

import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import kotlin.NoWhenBranchMatchedException;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.jvm.internal.JvmFunctionSignature;
import kotlin.reflect.jvm.internal.JvmPropertySignature;
import kotlin.reflect.jvm.internal.KPropertyImpl;
import kotlin.reflect.jvm.internal.calls.Caller;
import kotlin.reflect.jvm.internal.calls.CallerImpl;
import kotlin.reflect.jvm.internal.calls.InlineClassAwareCallerKt;
import kotlin.reflect.jvm.internal.calls.InternalUnderlyingValOfInlineClass;
import kotlin.reflect.jvm.internal.calls.ThrowingCaller;
import kotlin.reflect.jvm.internal.impl.descriptors.DeclarationDescriptor;
import kotlin.reflect.jvm.internal.impl.descriptors.DescriptorVisibilities;
import kotlin.reflect.jvm.internal.impl.descriptors.PropertyDescriptor;
import kotlin.reflect.jvm.internal.impl.metadata.jvm.JvmProtoBuf;
import kotlin.reflect.jvm.internal.impl.metadata.jvm.deserialization.JvmProtoBufUtil;
import kotlin.reflect.jvm.internal.impl.resolve.DescriptorUtils;
import kotlin.reflect.jvm.internal.impl.resolve.InlineClassesUtilsKt;
import kotlin.reflect.jvm.internal.impl.serialization.deserialization.descriptors.DeserializedPropertyDescriptor;
import kotlin.reflect.jvm.internal.impl.types.TypeUtils;

public final class KPropertyImplKt {
    public static final Object getBoundReceiver(KPropertyImpl.Accessor<?, ?> accessor) {
        Intrinsics.checkNotNullParameter(accessor, "<this>");
        return accessor.getProperty().getBoundReceiver();
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0051  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x011b  */
    public static final Caller<?> computeCallerForAccessor(KPropertyImpl.Accessor<?, ?> accessor, boolean z) {
        Caller caller;
        JvmFunctionSignature.KotlinFunction kotlinFunction;
        Method method;
        CallerImpl.Method.Instance instance;
        JvmProtoBuf.JvmMethodSignature jvmMethodSignature;
        Method method2;
        CallerImpl.Method.Static r7;
        CallerImpl.Method.JvmStaticInObject jvmStaticInObject;
        CallerImpl.Method.Instance instance2;
        InternalUnderlyingValOfInlineClass.Unbound unbound;
        if (KDeclarationContainerImpl.Companion.getLOCAL_PROPERTY_SIGNATURE$kotlin_reflection().matches(accessor.getProperty().getSignature())) {
            return ThrowingCaller.INSTANCE;
        }
        JvmPropertySignature mapPropertySignature = RuntimeTypeMapper.INSTANCE.mapPropertySignature(accessor.getProperty().getDescriptor());
        if (mapPropertySignature instanceof JvmPropertySignature.KotlinProperty) {
            JvmPropertySignature.KotlinProperty kotlinProperty = (JvmPropertySignature.KotlinProperty) mapPropertySignature;
            JvmProtoBuf.JvmPropertySignature signature = kotlinProperty.getSignature();
            if (z) {
                if (signature.hasGetter()) {
                    jvmMethodSignature = signature.getGetter();
                    if (jvmMethodSignature == null) {
                        method2 = null;
                    } else {
                        method2 = accessor.getProperty().getContainer().findMethodBySignature(kotlinProperty.getNameResolver().getString(jvmMethodSignature.getName()), kotlinProperty.getNameResolver().getString(jvmMethodSignature.getDesc()));
                    }
                    if (method2 == null) {
                        if (!InlineClassesUtilsKt.isUnderlyingPropertyOfInlineClass(accessor.getProperty().getDescriptor()) || !Intrinsics.areEqual(accessor.getProperty().getDescriptor().getVisibility(), DescriptorVisibilities.INTERNAL)) {
                            Field javaField = accessor.getProperty().getJavaField();
                            if (javaField != null) {
                                caller = computeCallerForAccessor$computeFieldCaller(accessor, z, javaField);
                            } else {
                                throw new KotlinReflectionInternalError(Intrinsics.stringPlus("No accessors or field is found for property ", accessor.getProperty()));
                            }
                        } else {
                            Class<?> inlineClass = InlineClassAwareCallerKt.toInlineClass(accessor.getProperty().getDescriptor().getContainingDeclaration());
                            if (inlineClass != null) {
                                Method unboxMethod = InlineClassAwareCallerKt.getUnboxMethod(inlineClass, accessor.getProperty().getDescriptor());
                                if (accessor.isBound()) {
                                    unbound = new InternalUnderlyingValOfInlineClass.Bound(unboxMethod, getBoundReceiver(accessor));
                                } else {
                                    unbound = new InternalUnderlyingValOfInlineClass.Unbound(unboxMethod);
                                }
                                caller = unbound;
                            } else {
                                throw new KotlinReflectionInternalError("Underlying property of inline class " + accessor.getProperty() + " should have a field");
                            }
                        }
                    } else if (!Modifier.isStatic(method2.getModifiers())) {
                        if (accessor.isBound()) {
                            instance2 = new CallerImpl.Method.BoundInstance(method2, getBoundReceiver(accessor));
                        } else {
                            instance2 = new CallerImpl.Method.Instance(method2);
                        }
                        caller = instance2;
                    } else if (computeCallerForAccessor$isJvmStaticProperty(accessor)) {
                        if (accessor.isBound()) {
                            jvmStaticInObject = new CallerImpl.Method.BoundJvmStaticInObject(method2);
                        } else {
                            jvmStaticInObject = new CallerImpl.Method.JvmStaticInObject(method2);
                        }
                        caller = jvmStaticInObject;
                    } else {
                        if (accessor.isBound()) {
                            r7 = new CallerImpl.Method.BoundStatic(method2, getBoundReceiver(accessor));
                        } else {
                            r7 = new CallerImpl.Method.Static(method2);
                        }
                        caller = r7;
                    }
                }
            } else if (signature.hasSetter()) {
                jvmMethodSignature = signature.getSetter();
                if (jvmMethodSignature == null) {
                }
                if (method2 == null) {
                }
            }
            jvmMethodSignature = null;
            if (jvmMethodSignature == null) {
            }
            if (method2 == null) {
            }
        } else if (mapPropertySignature instanceof JvmPropertySignature.JavaField) {
            caller = computeCallerForAccessor$computeFieldCaller(accessor, z, ((JvmPropertySignature.JavaField) mapPropertySignature).getField());
        } else if (mapPropertySignature instanceof JvmPropertySignature.JavaMethodProperty) {
            if (z) {
                method = ((JvmPropertySignature.JavaMethodProperty) mapPropertySignature).getGetterMethod();
            } else {
                JvmPropertySignature.JavaMethodProperty javaMethodProperty = (JvmPropertySignature.JavaMethodProperty) mapPropertySignature;
                method = javaMethodProperty.getSetterMethod();
                if (method == null) {
                    throw new KotlinReflectionInternalError(Intrinsics.stringPlus("No source found for setter of Java method property: ", javaMethodProperty.getGetterMethod()));
                }
            }
            if (accessor.isBound()) {
                instance = new CallerImpl.Method.BoundInstance(method, getBoundReceiver(accessor));
            } else {
                instance = new CallerImpl.Method.Instance(method);
            }
            caller = instance;
        } else if (mapPropertySignature instanceof JvmPropertySignature.MappedKotlinProperty) {
            if (z) {
                kotlinFunction = ((JvmPropertySignature.MappedKotlinProperty) mapPropertySignature).getGetterSignature();
            } else {
                kotlinFunction = ((JvmPropertySignature.MappedKotlinProperty) mapPropertySignature).getSetterSignature();
                if (kotlinFunction == null) {
                    throw new KotlinReflectionInternalError(Intrinsics.stringPlus("No setter found for property ", accessor.getProperty()));
                }
            }
            Method findMethodBySignature = accessor.getProperty().getContainer().findMethodBySignature(kotlinFunction.getMethodName(), kotlinFunction.getMethodDesc());
            if (findMethodBySignature != null) {
                Modifier.isStatic(findMethodBySignature.getModifiers());
                if (accessor.isBound()) {
                    return new CallerImpl.Method.BoundInstance(findMethodBySignature, getBoundReceiver(accessor));
                }
                return new CallerImpl.Method.Instance(findMethodBySignature);
            }
            throw new KotlinReflectionInternalError(Intrinsics.stringPlus("No accessor found for property ", accessor.getProperty()));
        } else {
            throw new NoWhenBranchMatchedException();
        }
        return InlineClassAwareCallerKt.createInlineClassAwareCallerIfNeeded$default(caller, accessor.getDescriptor(), false, 2, null);
    }

    private static final boolean computeCallerForAccessor$isJvmStaticProperty(KPropertyImpl.Accessor<?, ?> accessor) {
        return accessor.getProperty().getDescriptor().getAnnotations().hasAnnotation(UtilKt.getJVM_STATIC());
    }

    private static final boolean computeCallerForAccessor$isNotNullProperty(KPropertyImpl.Accessor<?, ?> accessor) {
        return !TypeUtils.isNullableType(accessor.getProperty().getDescriptor().getType());
    }

    private static final CallerImpl<Field> computeCallerForAccessor$computeFieldCaller(KPropertyImpl.Accessor<?, ?> accessor, boolean z, Field field) {
        CallerImpl.FieldGetter.Instance instance;
        CallerImpl.FieldGetter.JvmStaticInObject jvmStaticInObject;
        if (isJvmFieldPropertyInCompanionObject(accessor.getProperty().getDescriptor()) || !Modifier.isStatic(field.getModifiers())) {
            if (z) {
                if (accessor.isBound()) {
                    instance = new CallerImpl.FieldGetter.BoundInstance(field, getBoundReceiver(accessor));
                } else {
                    instance = new CallerImpl.FieldGetter.Instance(field);
                }
                return instance;
            } else if (accessor.isBound()) {
                return new CallerImpl.FieldSetter.BoundInstance(field, computeCallerForAccessor$isNotNullProperty(accessor), getBoundReceiver(accessor));
            } else {
                return new CallerImpl.FieldSetter.Instance(field, computeCallerForAccessor$isNotNullProperty(accessor));
            }
        } else if (computeCallerForAccessor$isJvmStaticProperty(accessor)) {
            if (z) {
                if (accessor.isBound()) {
                    jvmStaticInObject = new CallerImpl.FieldGetter.BoundJvmStaticInObject(field);
                } else {
                    jvmStaticInObject = new CallerImpl.FieldGetter.JvmStaticInObject(field);
                }
                return jvmStaticInObject;
            } else if (accessor.isBound()) {
                return new CallerImpl.FieldSetter.BoundJvmStaticInObject(field, computeCallerForAccessor$isNotNullProperty(accessor));
            } else {
                return new CallerImpl.FieldSetter.JvmStaticInObject(field, computeCallerForAccessor$isNotNullProperty(accessor));
            }
        } else if (z) {
            return new CallerImpl.FieldGetter.Static(field);
        } else {
            return new CallerImpl.FieldSetter.Static(field, computeCallerForAccessor$isNotNullProperty(accessor));
        }
    }

    private static final boolean isJvmFieldPropertyInCompanionObject(PropertyDescriptor propertyDescriptor) {
        DeclarationDescriptor containingDeclaration = propertyDescriptor.getContainingDeclaration();
        Intrinsics.checkNotNullExpressionValue(containingDeclaration, "containingDeclaration");
        if (!DescriptorUtils.isCompanionObject(containingDeclaration)) {
            return false;
        }
        DeclarationDescriptor containingDeclaration2 = containingDeclaration.getContainingDeclaration();
        if ((DescriptorUtils.isInterface(containingDeclaration2) || DescriptorUtils.isAnnotationClass(containingDeclaration2)) && (!(propertyDescriptor instanceof DeserializedPropertyDescriptor) || !JvmProtoBufUtil.isMovedFromInterfaceCompanion(((DeserializedPropertyDescriptor) propertyDescriptor).getProto()))) {
            return false;
        }
        return true;
    }
}
