package kotlinx.coroutines.channels;

import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

public final class ChannelResult<T> {
    public static final Companion Companion = new Companion(null);
    private static final Failed failed = new Failed();
    private final Object holder;

    public static class Failed {
        public String toString() {
            return "Failed";
        }
    }

    /* renamed from: box-impl */
    public static final /* synthetic */ ChannelResult m1531boximpl(Object obj) {
        return new ChannelResult(obj);
    }

    /* renamed from: constructor-impl */
    public static <T> Object m1532constructorimpl(Object obj) {
        return obj;
    }

    /* renamed from: equals-impl */
    public static boolean m1533equalsimpl(Object obj, Object obj2) {
        return (obj2 instanceof ChannelResult) && Intrinsics.areEqual(obj, ((ChannelResult) obj2).m1543unboximpl());
    }

    /* renamed from: equals-impl0 */
    public static final boolean m1534equalsimpl0(Object obj, Object obj2) {
        return Intrinsics.areEqual(obj, obj2);
    }

    public static /* synthetic */ void getHolder$annotations() {
    }

    /* renamed from: hashCode-impl */
    public static int m1538hashCodeimpl(Object obj) {
        if (obj == null) {
            return 0;
        }
        return obj.hashCode();
    }

    public boolean equals(Object obj) {
        return m1533equalsimpl(this.holder, obj);
    }

    public int hashCode() {
        return m1538hashCodeimpl(this.holder);
    }

    /* renamed from: unbox-impl */
    public final /* synthetic */ Object m1543unboximpl() {
        return this.holder;
    }

    private /* synthetic */ ChannelResult(Object obj) {
        this.holder = obj;
    }

    /* renamed from: isSuccess-impl */
    public static final boolean m1541isSuccessimpl(Object obj) {
        return !(obj instanceof Failed);
    }

    /* renamed from: isFailure-impl */
    public static final boolean m1540isFailureimpl(Object obj) {
        return obj instanceof Failed;
    }

    /* renamed from: isClosed-impl */
    public static final boolean m1539isClosedimpl(Object obj) {
        return obj instanceof Closed;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: getOrNull-impl */
    public static final T m1536getOrNullimpl(Object obj) {
        if (!(obj instanceof Failed)) {
            return obj;
        }
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: getOrThrow-impl */
    public static final T m1537getOrThrowimpl(Object obj) {
        if (!(obj instanceof Failed)) {
            return obj;
        }
        if (obj instanceof Closed) {
            Closed closed = (Closed) obj;
            if (closed.cause != null) {
                throw closed.cause;
            }
        }
        throw new IllegalStateException(Intrinsics.stringPlus("Trying to call 'getOrThrow' on a failed channel result: ", obj).toString());
    }

    /* renamed from: exceptionOrNull-impl */
    public static final Throwable m1535exceptionOrNullimpl(Object obj) {
        Closed closed = obj instanceof Closed ? (Closed) obj : null;
        if (closed == null) {
            return null;
        }
        return closed.cause;
    }

    public static final class Closed extends Failed {
        public final Throwable cause;

        public Closed(Throwable th) {
            this.cause = th;
        }

        public boolean equals(Object obj) {
            return (obj instanceof Closed) && Intrinsics.areEqual(this.cause, ((Closed) obj).cause);
        }

        public int hashCode() {
            Throwable th = this.cause;
            if (th == null) {
                return 0;
            }
            return th.hashCode();
        }

        @Override // kotlinx.coroutines.channels.ChannelResult.Failed
        public String toString() {
            return "Closed(" + this.cause + ')';
        }
    }

    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        /* renamed from: success-JP2dKIU */
        public final <E> Object m1546successJP2dKIU(E e) {
            return ChannelResult.m1532constructorimpl(e);
        }

        /* renamed from: failure-PtdJZtk */
        public final <E> Object m1545failurePtdJZtk() {
            return ChannelResult.m1532constructorimpl(ChannelResult.failed);
        }

        /* renamed from: closed-JP2dKIU */
        public final <E> Object m1544closedJP2dKIU(Throwable th) {
            return ChannelResult.m1532constructorimpl(new Closed(th));
        }
    }

    public String toString() {
        return m1542toStringimpl(this.holder);
    }

    /* renamed from: toString-impl */
    public static String m1542toStringimpl(Object obj) {
        if (obj instanceof Closed) {
            return ((Closed) obj).toString();
        }
        return "Value(" + obj + ')';
    }
}
