package net.squirrel.httpsplugin.utils;

import android.util.Log;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.security.KeyManagementException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.UnrecoverableKeyException;
import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.HashMap;
import javax.net.ssl.KeyManagerFactory;
import javax.net.ssl.SSLContext;
import javax.net.ssl.TrustManagerFactory;

public class SSLContextUtil {
    private static final String TAG = "net.squirrel.httpsplugin.utils.SSLContextUtil";
    private static HashMap<String, SSLContextUtil> instances = new HashMap<>();
    private SSLContext sslContext = SSLContext.getInstance("TLS");

    public static synchronized SSLContextUtil getInstance(String str, String str2, String str3, String str4) throws CertificateException, IOException, KeyStoreException, NoSuchAlgorithmException, KeyManagementException {
        SSLContextUtil sSLContextUtil;
        synchronized (SSLContextUtil.class) {
            if (str != null) {
                if (instances.get(str) == null) {
                    instances.put(str, new SSLContextUtil(str, str2, str3, str4));
                }
            }
            sSLContextUtil = instances.get(str);
        }
        return sSLContextUtil;
    }

    /* JADX INFO: finally extract failed */
    private SSLContextUtil(String str, String str2, String str3, String str4) throws CertificateException, IOException, KeyStoreException, NoSuchAlgorithmException, KeyManagementException {
        CertificateFactory instance = CertificateFactory.getInstance("X.509");
        KeyStore instance2 = KeyStore.getInstance(str3);
        ClassLoader classLoader = getClass().getClassLoader();
        BufferedInputStream bufferedInputStream = new BufferedInputStream(classLoader.getResourceAsStream("assets/" + str2));
        try {
            instance2.load(bufferedInputStream, str4.toCharArray());
            bufferedInputStream.close();
            ClassLoader classLoader2 = getClass().getClassLoader();
            BufferedInputStream bufferedInputStream2 = new BufferedInputStream(classLoader2.getResourceAsStream("assets/" + str));
            try {
                Certificate generateCertificate = instance.generateCertificate(bufferedInputStream2);
                instance2.setCertificateEntry(str, generateCertificate);
                String str5 = TAG;
                Log.i(str5, "CA=" + ((X509Certificate) generateCertificate).getSubjectDN());
                bufferedInputStream2.close();
                String defaultAlgorithm = TrustManagerFactory.getDefaultAlgorithm();
                KeyManagerFactory instance3 = KeyManagerFactory.getInstance(defaultAlgorithm);
                try {
                    instance3.init(instance2, str4.toCharArray());
                } catch (UnrecoverableKeyException e) {
                    Log.e(TAG, "KeyManagerFactory init error: ", e);
                }
                TrustManagerFactory instance4 = TrustManagerFactory.getInstance(defaultAlgorithm);
                instance4.init(instance2);
                this.sslContext.init(instance3.getKeyManagers(), instance4.getTrustManagers(), null);
            } catch (Throwable th) {
                bufferedInputStream2.close();
                throw th;
            }
        } catch (Throwable th2) {
            bufferedInputStream.close();
            throw th2;
        }
    }

    public SSLContext getContext() {
        return this.sslContext;
    }
}
